condor (25.0.3-1) stable; urgency=medium

  * All changes in 24.12.14

 -- Tim Theisen <tim@cs.wisc.edu>  Fri, 31 Oct 2025 11:25:00 -0500

condor (24.12.14-1) stable; urgency=medium

  * Fix interoperability problem between HTCondor-CE 24 and 25 which
    manifests as a Job Router crash when upgrading the CE to HTCondor 25
  * Fix several issues when submitting jobs with itemdata in
    the htcondor2 Python bindings
  * Fix bug when using max_idle and transfer_input_files that could result
    in the container_image to be only transferred with the first job

 -- Tim Theisen <tim@cs.wisc.edu>  Fri, 31 Oct 2025 11:09:00 -0500

condor (24.0.14-1) stable; urgency=medium

  * Fix problem running PyTorch jobs on multiple GPUs with
    newer versions of the CUDA library by providing long GPU IDs
    in the CUDA_VISIBLE_DEVICES environment variable

 -- Tim Theisen <tim@cs.wisc.edu>  Fri, 31 Oct 2025 11:03:00 -0500

condor (25.0.2-1) stable; urgency=medium

  * Update Python file transfer plugins to use the new Python bindings
  * Fix incorrect environment when using Singularity and nested scratch

 -- Tim Theisen <tim@cs.wisc.edu>  Wed, 08 Oct 2025 10:20:00 -0500

condor (24.12.13-1) stable; urgency=medium

  * Fix annoying momentary text status flash in condor_watch_q

 -- Tim Theisen <tim@cs.wisc.edu>  Wed, 08 Oct 2025 09:55:00 -0500

condor (24.0.13-1) stable; urgency=medium

  * Fix bug that could cause Python job submission to crash
  * HTCondor tarballs now contain Pelican 7.20.2

 -- Tim Theisen <tim@cs.wisc.edu>  Wed, 08 Oct 2025 09:41:00 -0500

condor (25.0.1-1) stable; urgency=medium

  * New and improved Python bindings: classad2 and htcondor2
  * The original Python bindings have been removed

 -- Tim Theisen <tim@cs.wisc.edu>  Sun, 28 Sep 2025 07:57:00 -0500

condor (24.12.4-1) stable; urgency=medium

  * Add the ability to enforce memory and CPU limits on local universe jobs
  * Add the ability for condor_chirp to work within a Docker universe job
  * condor_watch_q now exits with any keyboard input
  * The shell submit keyword now works with interactive jobs
  * All changes in 24.0.12

 -- Tim Theisen <tim@cs.wisc.edu>  Tue, 23 Sep 2025 06:32:00 -0500

condor (24.0.12-1) stable; urgency=medium

  * Update condor_upgrade_check to warn about v1 Python bindings retirement
  * Update condor_upgrade_check to look for old syntax job transforms
  * All changes in 23.10.29

 -- Tim Theisen <tim@cs.wisc.edu>  Mon, 22 Sep 2025 21:41:00 -0500

condor (23.10.29-1) stable; urgency=medium

  * Fix flocking to pools when there are intermittent network issues
  * HTCondor tarballs now contain Pelican 7.19.3

 -- Tim Theisen <tim@cs.wisc.edu>  Mon, 22 Sep 2025 07:44:00 -0500

condor (24.11.2-1) stable; urgency=medium

  * Add job attributes to track why and how often a job is vacated
  * Add the ability to notify a user when their job first starts
  * Can now specify which Vault servers are trusted
  * Added htcondor2.ping() to the Python bindings

 -- Tim Theisen <tim@cs.wisc.edu>  Thu, 21 Aug 2025 07:18:00 -0500

condor (24.0.11-1) stable; urgency=medium

  * Initial support for Debian 13 (trixie)

 -- Tim Theisen <tim@cs.wisc.edu>  Thu, 21 Aug 2025 07:11:00 -0500

condor (23.10.28-1) stable; urgency=medium

  * Exit -code and -signal environment variables are now set for Docker jobs
  * Fix issue where ImageSize was over-reported on the Windows platform
  * HTCondor tarballs now contain Pelican 7.18.1 and Apptainer 1.4.2

 -- Tim Theisen <tim@cs.wisc.edu>  Thu, 21 Aug 2025 07:04:00 -0500

condor (23.0.28-1) stable; urgency=medium

  * Fix condor_token_request to accept automatically-approved tokens

 -- Tim Theisen <tim@cs.wisc.edu>  Thu, 21 Aug 2025 06:55:00 -0500

condor (24.10.3-1) stable; urgency=medium

  * Fix condor_store_cred bug that broke installing with get_htcondor

 -- Tim Theisen <tim@cs.wisc.edu>  Tue, 12 Aug 2025 08:08:00 -0500

condor (24.10.2-1) stable; urgency=medium

  * Remove support for old JobRouter syntax
  * New condor_dag_checker tool finds syntax and logic errors before run
  * New condor_q -hold-codes produces a summary of held jobs
  * condor_status -lvm reports current disk usage by slots on the EPs
  * Fix bug where condor_q would truncate job counts to six digits
  * Fix bug where suspended jobs did not change state to idle when vacated

 -- Tim Theisen <tim@cs.wisc.edu>  Thu, 24 Jul 2025 10:23:00 -0500

condor (24.0.10-1) stable; urgency=medium

  * All changes in 23.0.27 and 23.10.27

 -- Tim Theisen <tim@cs.wisc.edu>  Thu, 24 Jul 2025 10:04:00 -0500

condor (23.10.27-1) stable; urgency=medium

  * Fix bug where the vacate reason was not propagated back to the user
  * HTCondor tarballs now contain Pelican 7.17.2

 -- Tim Theisen <tim@cs.wisc.edu>  Thu, 24 Jul 2025 09:58:00 -0500

condor (23.0.27-1) stable; urgency=medium

  * Fix bug where condor_ssh_to_job failed when EP scratch path is too long
  * Fix incorrect time reported by htcondor status for long running jobs
  * Fix bug where .job.ad, .machine.ad files were missing when LVM is in use

 -- Tim Theisen <tim@cs.wisc.edu>  Thu, 24 Jul 2025 09:49:00 -0500

condor (24.9.2-1) stable; urgency=medium

  * New job attribute to report number of input files transferred by protocol
  * Optional condor_schedd history log file
  * condor_watch_q can now track DAGMan jobs when using the -clusters option
  * Fix bug that caused claim failure when previous output transfer failed
  * Fix bug where access tokens were not generated from Vault tokens

 -- Tim Theisen <tim@cs.wisc.edu>  Thu, 26 Jun 2025 10:44:00 -0500

condor (24.0.9-1) stable; urgency=medium

  * Initial Support for Enterprise Linux 10, including the x86_64_v2 platform
  * In htcondor2, empty configuration keys are now treated as non-existent

 -- Tim Theisen <tim@cs.wisc.edu>  Thu, 26 Jun 2025 10:18:00 -0500

condor (23.10.26-1) stable; urgency=medium

  * Fix memory leak in the condor_schedd when using late materialization
  * Fix condor_master start up when file descriptor ulimit was huge
  * HTCondor tarballs now contain Pelican 7.17.0

 -- Tim Theisen <tim@cs.wisc.edu>  Thu, 26 Jun 2025 07:08:00 -0500

condor (23.0.26-1) stable; urgency=medium

  * Fix ingestion of ads into Elasticsearch under very rare circumstances
  * DAGMan better handles being unable to write to a full filesystem
  * 'kill_sig' submit commands are now ignored on the Windows platform

 -- Tim Theisen <tim@cs.wisc.edu>  Thu, 26 Jun 2025 06:59:00 -0500

condor (24.8.1-1) stable; urgency=medium

  * Fix claim re-use, which was broken in HTCondor version 24.5.1
  * Add support for hierarchic and delegatable v2 cgroups
  * Add the ability to put each HTCondor daemon in its own cgroup
  * Always sets the execute bit on the executable regardless of its origin
  * The EP sets the HOME environment variable to match the /etc/passwd entry
  * Add new 'halt' and 'resume' verbs to "htcondor dag"
  * Add htcondor2.DAGMan class to send commands to a running DAG
  * htcondor ap status now reports the AP's RecentDaemonCoreDutyCycle
  * Can configure condor_adstash to fetch a custom projection of attributes

 -- Tim Theisen <tim@cs.wisc.edu>  Tue, 10 Jun 2025 10:16:00 -0500

condor (24.0.8-1) stable; urgency=medium

  * Fix 24.0.7 bug where cgroup v1 out-of-memory was not properly handled
  * HTCondor tarballs now contain Pelican 7.16.5 and Apptainer 1.4.1
    * Pelican 7.16.5 now includes end-to-end integrity checks for clients
  * Add Python wheel for Python 3.13, drop Python wheel for Python 3.7
  * Fix bug where DAGMAN_MAX_JOBS_IDLE was being ignored
  * Fix problems where parallel universe jobs could crash the condor_schedd
  * Prevent condor_starter crash when evicting job during input file transfer
  * condor_watch_q now properly displays job id ranges by using numeric sort

 -- Tim Theisen <tim@cs.wisc.edu>  Tue, 10 Jun 2025 10:11:00 -0500

condor (23.10.25-1) stable; urgency=medium

  * Fix bug where DAGMAN_MAX_JOBS_IDLE was being ignored
  * HTCondor tarballs now contain Pelican 7.16.5 and Apptainer 1.4.1

 -- Tim Theisen <tim@cs.wisc.edu>  Thu, 29 May 2025 10:16:00 -0500

condor (23.0.25-1) stable; urgency=medium

  * Fix problems where parallel universe jobs could crash the condor_schedd
  * Prevent condor_starter crash when evicting job during input file transfer
  * condor_watch_q now properly displays job id ranges by using numeric sort

 -- Tim Theisen <tim@cs.wisc.edu>  Thu, 29 May 2025 10:04:00 -0500

condor (24.7.3-1) stable; urgency=medium

  * condor_who now works for Glideins
  * Can add arbitrary credentials to be used by the file transfer plugins
  * Fixed WLCG token generation in the local credmon
  * Can limit the number of times that a job can be released
  * EP administrators can enforce no outbound networking for jobs
  * Add ability to use authentication when fetching Docker images
  * condor_watch_q now displays when file transfer is happening
  * To provide more consistency, using swap for jobs is disabled by default

 -- Tim Theisen <tim@cs.wisc.edu>  Mon, 21 Apr 2025 19:52:00 -0500

condor (24.0.7-1) stable; urgency=medium

  * With delegated cgroups v2, job out-of-memory no longer affects the pilot

 -- Tim Theisen <tim@cs.wisc.edu>  Mon, 21 Apr 2025 17:09:00 -0500

condor (23.10.24-1) stable; urgency=medium

  * HTCondor tarballs now contain Pelican 7.15.1 and Apptainer 1.4.0

 -- Tim Theisen <tim@cs.wisc.edu>  Mon, 21 Apr 2025 17:09:00 -0500

condor (23.0.24-1) stable; urgency=medium

  * Fix inflated cgroups v2 memory usage reporting for Docker jobs

 -- Tim Theisen <tim@cs.wisc.edu>  Mon, 21 Apr 2025 16:35:00 -0500

condor (24.6.1-1) stable; urgency=high

  * Fix for security issue
    https://htcondor.org/security/vulnerabilities/HTCONDOR-2025-0001.html

 -- Tim Theisen <tim@cs.wisc.edu>  Thu, 20 Mar 2025 15:44:00 -0500

condor (24.0.6-1) stable; urgency=high

  * Fix for security issue
    https://htcondor.org/security/vulnerabilities/HTCONDOR-2025-0001.html

 -- Tim Theisen <tim@cs.wisc.edu>  Fri, 28 Feb 2025 14:05:00 -0600

condor (23.10.22-1) stable; urgency=high

  * Fix for security issue
    https://htcondor.org/security/vulnerabilities/HTCONDOR-2025-0001.html

 -- Tim Theisen <tim@cs.wisc.edu>  Fri, 28 Feb 2025 10:33:00 -0600

condor (23.0.22-1) stable; urgency=high

  * Fix for security issue
    https://htcondor.org/security/vulnerabilities/HTCONDOR-2025-0001.html

 -- Tim Theisen <tim@cs.wisc.edu>  Fri, 28 Feb 2025 10:22:00 -0600

condor (24.5.2-1) stable; urgency=medium

  * Disable broken slot code by default

 -- Tim Theisen <tim@cs.wisc.edu>  Thu, 20 Mar 2025 10:45:00 -0500

condor (24.5.1-1) stable; urgency=medium

  * Can now configure APs to acquire credentials for jobs in multiple ways
  * HTCondor marks slots as broken when the slot resources cannot be released
  * HTCondor now reliably cleans up LVM volumes used by jobs
  * HTCondor now advertises NVIDIA driver version
  * To detect stuck jobs, last write to stdout and stderr are in the job ad

 -- Tim Theisen <tim@cs.wisc.edu>  Fri, 28 Feb 2025 07:13:00 -0600

condor (24.0.5-1) stable; urgency=medium

  * Bug fixes from HTCondor 23.0.21 and 23.10.21

 -- Tim Theisen <tim@cs.wisc.edu>  Fri, 28 Feb 2025 06:50:00 -0600

condor (23.10.21-1) stable; urgency=medium

  * Fix bug where chirp would not work in container jobs using Docker
  * HTCondor tarballs now contain Pelican 7.13.0

 -- Tim Theisen <tim@cs.wisc.edu>  Thu, 27 Feb 2025 16:48:00 -0600

condor (23.0.21-1) stable; urgency=medium

  * Fix memory leak caused by periodic evaluation of bad ClassAd expressions
  * Fixes for bugs affecting grid jobs

 -- Tim Theisen <tim@cs.wisc.edu>  Thu, 27 Feb 2025 16:25:00 -0600

condor (24.4.0-1) stable; urgency=medium

  * Improved validation and cleanup of EXECUTE directories
  * For batch grid universe, the PATH comes from the job ad and worker node
  * Improved 'condor_q -better-analyze' for pools with partionable slots
  * The EP advertizes if Singularity is using user namespaces
  * The EP advertizes average and total bytes transferred to and from jobs
  * The condor_credmon now utilizes the shared port daemon

 -- Tim Theisen <tim@cs.wisc.edu>  Sun, 02 Feb 2025 08:11:00 -0600

condor (24.0.4-1) stable; urgency=medium

  * New arc_data_staging submit command to add DataStaging block to ARC ADL
  * Fix bug where the negotiator could crash when matching offline ads
  * Fix memory leak in SCHEDD_CRON script that produce standard output
  * Fix bug where the schedd could crash if cron script runs during shutdown

 -- Tim Theisen <tim@cs.wisc.edu>  Sun, 02 Feb 2025 08:11:00 -0600

condor (23.10.20-1) stable; urgency=medium

  * Fix bug where STARTD_ENFORCE_DISK_LIMITS would excessively save metadata
  * Fix bug where container_service_names did not work
  * Fix rare startd crash when collector queries time out and DNS is slow

 -- Tim Theisen <tim@cs.wisc.edu>  Sun, 02 Feb 2025 08:07:00 -0600

condor (23.0.20-1) stable; urgency=medium

  * condor_upgrade_check tests for PASSWORD authentication identity change

 -- Tim Theisen <tim@cs.wisc.edu>  Sun, 02 Feb 2025 07:45:00 -0600

condor (24.3.0-1) stable; urgency=medium

  * Allow local issuer credmon and Vault credmon to coexist
  * Add Singularity launcher to distinguish runtime failure from job failure
  * Advertises when the EP is enforcing disk usage via LVM
  * By default, LVM disk enforcement hides mounts when possible
  * Container Universe jobs can now mount a writable directory under scratch
  * Pass PELICAN_* job environment variables to pelican file transfer plugin
  * Fix HTCondor startup when network interface has no IPv6 address
  * VacateReason is set in the job ad under more circumstances
  * 'htcondor job submit' now issues credentials like 'condor_submit' does

 -- Tim Theisen <tim@cs.wisc.edu>  Fri, 03 Jan 2025 13:45:00 -0600

condor (24.0.3-1) stable; urgency=medium

  * EPs spawned by 'htcondor annex' no longer crash on startup

 -- Tim Theisen <tim@cs.wisc.edu>  Fri, 03 Jan 2025 13:45:00 -0600

condor (23.10.19-1) stable; urgency=medium

  * Fix bug where jobs would match but not start when using KeyboardIdle
  * Fix bug when trying to avoid IPv6 link local addresses

 -- Tim Theisen <tim@cs.wisc.edu>  Fri, 03 Jan 2025 13:32:00 -0600

condor (23.0.19-1) stable; urgency=medium

  * Numerous updates in memory tracking with cgroups
    * Fix bug in reporting peak memory
    * Made cgroup v1 and v2 memory tracking consistent with each other
    * Fix bug where cgroup v1 usage included disk cache pages
    * Fix bug where cgroup v1 jobs killed by OOM were not held
    * Polls cgroups for memory usage more often
    * Can configure to always hold jobs killed by OOM
  * Make condor_adstash work with OpenSearch Python Client v2.x
  * Avoid OAUTH credmon errors by only signaling it when necessary
  * Restore case insensitivity to 'condor_status -subsystem'
  * Fix rare condor_schedd crash when a $$() macro could not be expanded

 -- Tim Theisen <tim@cs.wisc.edu>  Fri, 03 Jan 2025 13:16:00 -0600

condor (24.2.2-1) stable; urgency=medium

  * Prevent the startd from removing all files if EXECUTE is an empty string
    * This problem first appeared in the withdrawn HTCondor 24.2.1 version

 -- Tim Theisen <tim@cs.wisc.edu>  Wed, 04 Dec 2024 14:25:00 -0600

condor (24.2.1-1) stable; urgency=medium

  * Fixed DAGMan's direct submission of late materialization jobs
  * New primary_unix_group submit command that sets the job's primary group
  * Initial implementation of broken slot detection and reporting
  * New job attributes FirstJobMatchDate and InitialWaitDuration
  * condor_ssh_to_job now sets the supplemental groups in Apptainer
  * MASTER_NEW_BINARY_RESTART now accepts the FAST parameter
  * Avoid blocking on dead collectors at shutdown
  * IPv6 networking is now fully supported on Windows

 -- Tim Theisen <tim@cs.wisc.edu>  Mon, 25 Nov 2024 11:10:00 -0600

condor (24.0.2-1) stable; urgency=medium

  * Add STARTER_ALWAYS_HOLD_ON_OOM to minimize confusion about memory usage
  * Fix bug that caused condor_ssh_to_job sftp and scp modes to fail
  * Fix KeyboardIdle attribute in dynamic slots that could prevent job start
  * No longer signals the OAuth credmon when there is no work to do
  * Fix rare condor_schedd crash when a $$() macro could not be expanded
  * By default, put Docker jobs on hold when CPU architecture doesn't match

 -- Tim Theisen <tim@cs.wisc.edu>  Mon, 25 Nov 2024 11:10:00 -0600

condor (23.10.18-1) stable; urgency=medium

  * Fix issue where an unresponsive libvirtd blocked an EP from starting up

 -- Tim Theisen <tim@cs.wisc.edu>  Mon, 18 Nov 2024 15:48:00 -0600

condor (23.0.18-1) stable; urgency=medium

  * Proper error message and hold when Docker emits multi-line error message
  * The htcondor CLI now works on Windows

 -- Tim Theisen <tim@cs.wisc.edu>  Mon, 18 Nov 2024 14:54:00 -0600

condor (24.1.1-1) stable; urgency=medium

  * Can print contents of stored OAuth2 credential with htcondor CLI tool
  * In DAGMan, inline submit descriptions work when not submitting directly
  * By default, put Docker jobs on hold when CPU architecture doesn't match
  * Detects and deletes invalid checkpoint and reschedules job

 -- Tim Theisen <tim@cs.wisc.edu>  Wed, 30 Oct 2024 19:37:00 -0500

condor (24.0.1-1) stable; urgency=medium

  * Improved tracking and enforcement of disk usage by using LVM
  * Enhancements to the htcondor CLI tool
  * cgroup v2 support for tracking and enforcement of CPU and memory usage
  * Leverage cgroups to hide GPUs not allocated to the job
  * DAGMan can now produce job credentials when using direct submit
  * New submit commands to aid in matching specific GPU requirements
  * New implementation of the Python bindings, htcondor2 and classad2
  * Improved default security configuration
  * Significant reduction in memory and CPU usage on the Central Manager
  * Support for GPUs using AMD's HIP 6 library
  * Fix bugs when -divide or -repeat was used in GPU detection
  * Proper error message and hold when Docker emits multi-line error message
  * Fix issue where an unresponsive libvirtd blocked an EP from starting up

 -- Tim Theisen <tim@cs.wisc.edu>  Wed, 30 Oct 2024 19:29:00 -0500

condor (23.10.2-1) stable; urgency=medium

  * Fix for output file transfer errors obscuring input file transfer errors

 -- Tim Theisen <tim@cs.wisc.edu>  Tue, 29 Oct 2024 14:10:00 -0500

condor (23.0.17-1) stable; urgency=medium

  * Bug fix for PID namespaces and condor_ssh_to_job on EL9
  * Augment condor_upgrade_check to find unit suffixes in ClassAd expressions

 -- Tim Theisen <tim@cs.wisc.edu>  Wed, 23 Oct 2024 16:38:00 -0500

condor (23.0.16-1) stable; urgency=medium

  * Backport all cgroup v2 fixes and enhancements from the 23.10.1 release

 -- Tim Theisen <tim@cs.wisc.edu>  Wed, 09 Oct 2024 17:06:00 -0500

condor (23.10.1-1) stable; urgency=medium

  * Improvements to disk usage enforcement when using LVM
    * Can encrypt job sandboxes when using LVM
    * More precise tracking of disk usage when using LVM
    * Reduced disk usage tracking overhead
  * Improvements tracking CPU and memory usage with cgroup v2 (on EL9)
    * Don't count kernel cache pages against job's memory usage
    * Avoid rare inclusion of previous job's CPU and peak memory usage
  * HTCondor now re-checks DNS before re-connecting to a collector
  * HTCondor now writes out per job epoch history
  * HTCondor can encrypt network connections without requiring authentication
  * htcondor CLI can now show status for local server, AP, and CM
  * htcondor CLI can now display OAUTH2 credentials
  * Uses job's sandbox to convert image format for Singularity/Apptainer
  * Bug fix to not lose GPUs in Docker job on systemd reconfig
  * Bug fix for PID namespaces and condor_ssh_to_job on EL9

 -- Tim Theisen <tim@cs.wisc.edu>  Thu, 03 Oct 2024 10:01:00 -0500

condor (23.0.15-1) stable; urgency=medium

  * Fix bug where Docker universe jobs reported zero memory usage on EL9
  * Fix bug where Docker universe images would not be removed from EP cache
  * Fix bug where condor_watch_q could crash
  * Fix bug that could cause the file transfer hold reason to be truncated
  * Fix bug where a Windows job with a bad executable would not go on hold

 -- Tim Theisen <tim@cs.wisc.edu>  Mon, 30 Sep 2024 11:40:00 -0500

condor (23.9.6-1) stable; urgency=medium

  * Add config knob to not have cgroups count kernel memory for jobs on EL9
  * Remove support for numeric unit suffixes (k,M,G) in ClassAd expressions
  * In submit files, request_disk & request_memory still accept unit suffixes
  * Hide GPUs not allocated to the job on cgroup v2 systems such as EL9
  * DAGMan can now produce credentials when using direct submission
  * Singularity jobs have a contained home directory when file transfer is on
  * Avoid using IPv6 link local addresses when resolving hostname to IP addr
  * New 'htcondor credential' command to aid in debugging

 -- Tim Theisen <tim@cs.wisc.edu>  Wed, 07 Aug 2024 12:00:00 -0500

condor (23.0.14-1) stable; urgency=medium

  * Docker and Container jobs run on EPs that match AP's CPU architecture
  * Fixed premature cleanup of credentials by the condor_credd
  * Fixed bug where a malformed SciToken could cause a condor_schedd crash
  * Fixed crash in condor_annex script
  * Fixed daemon crash after IDTOKEN request is approved by the collector

 -- Tim Theisen <tim@cs.wisc.edu>  Wed, 07 Aug 2024 11:30:00 -0500

condor (23.8.1-1) stable; urgency=medium

  * Add new condor-ap package to facilitate Access Point installation
  * HTCondor Docker images are now based on Alma Linux 9
  * HTCondor Docker images are now available for the arm64 CPU architecture
  * The user can now choose which submit method DAGMan will use
  * Can add custom attributes to the User ClassAd with condor_qusers -edit
  * Add use-projection option to condor_gangliad to reduce memory footprint
  * Fix bug where interactive submit does not work on cgroup v2 systems (EL9)

 -- Tim Theisen <tim@cs.wisc.edu>  Thu, 27 Jun 2024 11:21:00 -0500

condor (23.0.12-1) stable; urgency=medium

  * Remote condor_history queries now work the same as local queries
  * Improve error handling when submitting to a remote scheduler via ssh
  * Fix bug on Windows where condor_procd may crash when suspending a job
  * Fix Python binding crash when submitting a DAG which has empty lines

 -- Tim Theisen <tim@cs.wisc.edu>  Thu, 13 Jun 2024 11:13:00 -0500

condor (23.7.2-1) stable; urgency=medium

  * Warns about deprecated multiple queue statements in a submit file
  * The semantics of 'skip_if_dataflow' have been improved
  * Removing large DAGs is now non-blocking, preserving schedd performance
  * Periodic policy expressions are now checked during input file transfer
  * Local universe jobs can now specify a container image
  * File transfer plugins can now advertise extra attributes
  * DAGMan can rescue and abort if pending jobs are missing from the job queue
  * Fix so 'condor_submit -interactive' works on cgroup v2 execution points

 -- Tim Theisen <tim@cs.wisc.edu>  Thu, 16 May 2024 11:32:00 -0500

condor (23.0.10-1) stable; urgency=medium

  * Preliminary support for Ubuntu 22.04 (Noble Numbat)
  * Warns about deprecated multiple queue statements in a submit file
  * Fix bug where plugins could not signify to retry a file transfer
  * The condor_upgrade_check script checks for proper token file permissions
  * Fix bug where the condor_upgrade_check script crashes on older platforms
  * The bundled version of apptainer was moved to libexec in the tarball

 -- Tim Theisen <tim@cs.wisc.edu>  Thu, 09 May 2024 12:21:00 -0500

condor (23.6.2-1) stable; urgency=medium

  * Fix bug where file transfer plugin error was not in hold reason code

 -- Tim Theisen <tim@cs.wisc.edu>  Mon, 15 Apr 2024 15:22:00 -0500

condor (23.6.1-1) stable; urgency=medium

  * Add the ability to force vanilla universe jobs to run in a container
  * Add the ability to override the entrypoint for a Docker image
  * condor_q -better-analyze includes units for memory and disk quantities

 -- Tim Theisen <tim@cs.wisc.edu>  Fri, 12 Apr 2024 14:47:00 -0500

condor (23.0.8-1) stable; urgency=medium

  * Fix bug where ssh-agent processes were leaked with grid universe jobs
  * Fix DAGMan crash when a provisioner node was given a parent
  * Fix bug that prevented use of "ftp:" URLs in file transfer
  * Fix bug where jobs that matched an offline slot never start

 -- Tim Theisen <tim@cs.wisc.edu>  Thu, 11 Apr 2024 10:53:00 -0500

condor (23.5.3-1) stable; urgency=medium

  * HTCondor tarballs now contain Pelican 7.6.2

 -- Tim Theisen <tim@cs.wisc.edu>  Sun, 24 Mar 2024 11:55:00 -0500

condor (23.5.2-1) stable; urgency=medium

  * Old ClassAd based syntax is disabled by default for the job router
  * Can efficiently manage/enforce disk space using LVM partitions
  * GPU discovery is enabled on all Execution Points by default
  * Prevents accessing unallocated GPUs using cgroup v1 enforcement
  * New condor_submit commands for constraining GPU properties
  * Add ability to transfer EP's starter log back to the Access Point
  * Can use VOMS attributes when mapping identities of SSL connections
  * The CondorVersion string contains the source git SHA

 -- Tim Theisen <tim@cs.wisc.edu>  Wed, 13 Mar 2024 20:55:00 -0500

condor (23.0.6-1) stable; urgency=medium

  * Fix DAGMan where descendants of removed retry-able jobs are marked futile
  * Ensure the condor_test_token works correctly when invoked as root
  * Fix bug where empty multi-line values could cause a crash
  * condor_qusers returns proper exit code for errors in formatting options
  * Fix crash in job router when a job transform is missing an argument

 -- Tim Theisen <tim@cs.wisc.edu>  Wed, 13 Mar 2024 19:33:00 -0500

condor (23.4.0-1) stable; urgency=medium

  * condor_submit warns about unit-less request_disk and request_memory
  * Separate condor-credmon-local RPM package provides local SciTokens issuer
  * Fix bug where NEGOTIATOR_SLOT_CONSTRAINT was ignored since version 23.3.0
  * The htcondor command line tool can process multiple event logs at once
  * Prevent Docker daemon from keeping a duplicate copy of the job's stdout

 -- Tim Theisen <tim@cs.wisc.edu>  Thu, 08 Feb 2024 08:41:00 -0600

condor (23.0.4-1) stable; urgency=medium

  * NVIDIA_VISIBLE_DEVICES environment variable lists full uuid of slot GPUs
  * Fix problem where some container jobs would see GPUs not assigned to them
  * Restore condor keyboard monitoring that was broken since HTCondor 23.0.0
  * In condor_adstash, the search engine timeouts now apply to all operations
  * Ensure the prerequisite perl modules are installed for condor_gather_info

 -- Tim Theisen <tim@cs.wisc.edu>  Thu, 08 Feb 2024 08:15:00 -0600

condor (23.3.1-1) stable; urgency=medium

  * HTCondor tarballs now contain Pelican 7.4.0

 -- Tim Theisen <tim@cs.wisc.edu>  Tue, 23 Jan 2024 14:28:00 -0600

condor (23.3.0-1) stable; urgency=medium

  * Restore limited support for Enterprise Linux 7 systems
  * Additional assistance converting old syntax job routes to new syntax
  * Able to capture output to debug DAGMan PRE and POST scripts
  * Execution Points advertise when jobs are running with cgroup enforcement

 -- Tim Theisen <tim@cs.wisc.edu>  Wed, 03 Jan 2024 20:28:00 -0600

condor (23.0.3-1) stable; urgency=medium

  * Preliminary support for openSUSE LEAP 15
  * All non-zero exit values from file transfer plugins are now errors
  * Fix crash in Python bindings when job submission fails
  * Chirp uses a 5120 byte buffer and errors out for bigger messages
  * condor_adstash now recognizes GPU usage values as floating point numbers

 -- Tim Theisen <tim@cs.wisc.edu>  Wed, 03 Jan 2024 20:07:00 -0600

condor (23.2.0-1) stable; urgency=medium

  * Add 'periodic_vacate' submit command to restart jobs that are stuck
  * EPs now advertises whether the execute directory is on rotational storage
  * Add two log events for the time a job was running and occupied a slot
  * Files written by HTCondor are now written in binary mode on Windows
  * HTCondor now uses the Pelican Platform for OSDF file transfers

 -- Tim Theisen <tim@cs.wisc.edu>  Wed, 29 Nov 2023 07:25:00 -0600

condor (23.0.2-1) stable; urgency=medium

  * Fix bug where OIDC login information was missing when submitting jobs
  * Improved sandbox and ssh-agent clean up for batch grid universe jobs
  * Fix bug where daemons with a private network address couldn't communicate
  * Fix cgroup v2 memory enforcement for custom configurations
  * Add DISABLE_SWAP_FOR_JOB support on cgroup v2 systems
  * Fix log rotation for OAuth and Vault credmon daemons

 -- Tim Theisen <tim@cs.wisc.edu>  Mon, 20 Nov 2023 07:28:00 -0600

condor (9.0.20-1) stable; urgency=medium

  * Other authentication methods are tried if mapping fails using SSL

 -- Tim Theisen <tim@cs.wisc.edu>  Wed, 15 Nov 2023 17:23:00 -0600

condor (23.1.0-1) stable; urgency=medium

  * Enhanced filtering with 'condor_watch_q'
  * Can specify alternate ssh port with 'condor_remote_cluster'
  * Performance improvement for the 'condor_schedd' and other daemons
  * Jobs running on cgroup v2 systems can subdivide their cgroup
  * The curl plugin can now find CA certificates via an environment variable

 -- Tim Theisen <tim@cs.wisc.edu>  Tue, 31 Oct 2023 09:03:00 -0500

condor (23.0.1-1) stable; urgency=medium

  * Fix 10.6.0 bug that broke PID namespaces
  * Fix Debian and Ubuntu install bug when 'condor' user was in LDAP
  * Fix bug where execution times for ARC CE jobs were 60 times too large
  * Fix bug where a failed 'Service' node would crash DAGMan
  * Condor-C and Job Router jobs now get resources provisioned updates

 -- Tim Theisen <tim@cs.wisc.edu>  Mon, 30 Oct 2023 16:34:00 -0500

condor (23.0.0-1) stable; urgency=medium

  * Absent slot configuration, execution points will use a partitionable slot
  * Linux cgroups enforce maximum memory utilization by default
  * Can now define DAGMan save points to be able to rerun DAGs from there
  * Much better control over environment variables when using DAGMan
  * Administrators can enable and disable job submission for a specific user
  * Can set a minimum number of CPUs allocated to a user
  * condor_status -gpus shows nodes with GPUs and the GPU properties
  * condor_status -compact shows a row for each slot type
  * Container images may now be transferred via a file transfer plugin
  * Support for Enterprise Linux 9, Amazon Linux 2023, and Debian 12
  * Can write job information in AP history file for every execution attempt
  * Can run defrag daemons with different policies on distinct sets of nodes
  * Add condor_test_token tool to generate a short lived SciToken for testing
  * The job’s executable is no longer renamed to ‘condor_exec.exe’

 -- Tim Theisen <tim@cs.wisc.edu>  Fri, 29 Sep 2023 17:22:00 -0500

condor (10.9.0-1) stable; urgency=medium

  * The condor_upgrade_check script now provides guidance on updating to 23.0
  * The htchirp Python binding now properly locates the chirp configuration
  * Fix bug that prevented deletion of HTCondor passwords on Windows

 -- Tim Theisen <tim@cs.wisc.edu>  Thu, 28 Sep 2023 07:25:00 -0500

condor (10.0.9-1) stable; urgency=medium

  * The condor_upgrade_check script now provides guidance on updating to 23.0
  * The htchirp Python binding now properly locates the chirp configuration
  * Fix bug that prevented deletion of HTCondor passwords on Windows

 -- Tim Theisen <tim@cs.wisc.edu>  Thu, 28 Sep 2023 07:00:00 -0500

condor (10.8.0-1) stable; urgency=medium

  * Fold the classads, blahp, and procd RPMs into the main condor RPM
  * Align the Debian packages and package names with the RPM packaging
  * On Linux, the default configuration enforces memory limits with cgroups
  * condor_status -gpus shows nodes with GPUs and the GPU properties
  * condor_status -compact shows a row for each slot type
  * New ENV command controls which environment variables are present in DAGMan

 -- Tim Theisen <tim@cs.wisc.edu>  Thu, 14 Sep 2023 09:05:00 -0500

condor (10.0.8-1) stable; urgency=medium

  * Avoid kernel panic on some Enterprise Linux 8 systems
  * Fix bug where early termination of service nodes could crash DAGMan
  * Limit email about long file transfer queue to once daily
  * Various fixes to condor_adstash

 -- Tim Theisen <tim@cs.wisc.edu>  Thu, 14 Sep 2023 08:56:00 -0500

condor (10.7.1-1) stable; urgency=medium

  * Fix performance problem detecting futile nodes in a large and bushy DAG

 -- Tim Theisen <tim@cs.wisc.edu>  Wed, 09 Aug 2023 09:36:00 -0500

condor (10.7.0-1) stable; urgency=medium

  * Support for Debian 12 (Bookworm)
  * Can run defrag daemons with different policies on distinct sets of nodes
  * Added want_io_proxy submit command
  * Apptainer is now included in the HTCondor tarballs
  * Fix 10.5.0 bug where reported CPU time is very low when using cgroups v1
  * Fix 10.5.0 bug where .job.ad and .machine.ad were missing for local jobs

 -- Tim Theisen <tim@cs.wisc.edu>  Mon, 31 Jul 2023 14:53:00 -0500

condor (10.0.7-1) stable; urgency=medium

  * Fixed bug where held condor cron jobs would never run when released
  * Improved daemon IDTOKENS logging to make useful messages more prominent
  * Remove limit on certificate chain length in SSL authentication
  * condor_config_val -summary now works with a remote configuration query
  * Prints detailed message when condor_remote_cluster fails to fetch a URL
  * Improvements to condor_preen

 -- Tim Theisen <tim@cs.wisc.edu>  Tue, 25 Jul 2023 10:56:00 -0500

condor (9.0.19-1) stable; urgency=medium

  * Remove limit on certificate chain length in SSL authentication

 -- Tim Theisen <tim@cs.wisc.edu>  Fri, 30 Jun 2023 06:18:00 -0500

condor (10.6.0-1) stable; urgency=medium

  * Administrators can enable and disable job submission for a specific user
  * Work around memory leak in libcurl on EL7 when using the ARC-CE GAHP
  * Container images may now be transferred via a file transfer plugin
  * Add ClassAd stringlist subset match function
  * Add submit file macro '$(JobId)' which expands to full ID of the job
  * The job's executable is no longer renamed to 'condor_exec.exe'

 -- Tim Theisen <tim@cs.wisc.edu>  Thu, 29 Jun 2023 08:11:00 -0500

condor (10.0.6-1) stable; urgency=medium

  * In SSL Authentication, use the identity instead of the X.509 proxy subject
  * Can use environment variable to locate the client's SSL X.509 credential
  * ClassAd aggregate functions now tolerate undefined values
  * Fix Python binding bug where accounting ads were omitted from the result
  * The Python bindings now properly report the HTCondor version
  * remote_initial_dir works when submitting a grid batch job remotely via ssh
  * Add a ClassAd stringlist subset match function

 -- Tim Theisen <tim@cs.wisc.edu>  Thu, 22 Jun 2023 10:45:00 -0500

condor (9.0.18-1) stable; urgency=medium

  * Can configure clients to present an X.509 proxy during SSL authentication
  * Provides script to assist updating from HTCondor version 9 to version 10

 -- Tim Theisen <tim@cs.wisc.edu>  Thu, 22 Jun 2023 10:28:00 -0500

condor (10.0.5-1) stable; urgency=medium

  * Rename upgrade9to10checks.py script to condor_upgrade_check
  * Fix spurious warning from condor_upgrade_check about regexes with spaces

 -- Tim Theisen <tim@cs.wisc.edu>  Fri, 09 Jun 2023 08:17:00 -0500

condor (10.5.1-1) stable; urgency=medium

  * Fix issue with grid batch jobs interacting with older Slurm versions

 -- Tim Theisen <tim@cs.wisc.edu>  Tue, 06 Jun 2023 07:10:00 -0500

condor (10.5.0-1) stable; urgency=medium

  * Can now define DAGMan save points to be able to rerun DAGs from there
  * Expand default list of environment variables passed to the DAGMan manager
  * Administrators can prevent users using "getenv = true" in submit files
  * Improved throughput when submitting a large number of ARC-CE jobs
  * Execute events contain the slot name, sandbox path, resource quantities
  * Can add attributes of the execution point to be recorded in the user log
  * Enhanced condor_transform_ads tool to ease offline job transform testing
  * Fixed a bug where memory limits over 2 GiB might not be correctly enforced

 -- Tim Theisen <tim@cs.wisc.edu>  Mon, 05 Jun 2023 12:24:00 -0500

condor (10.0.4-1) stable; urgency=medium

  * Provides script to assist updating from HTCondor version 9 to version 10
  * Fixes a bug where rarely an output file would not be transferred back
  * Fixes counting of submitted jobs, so MAX_JOBS_SUBMITTED works correctly
  * Fixes SSL Authentication failure when PRIVATE_NETWORK_NAME was set
  * Fixes rare crash when SSL or SCITOKENS authentication was attempted
  * Can allow client to present an X.509 proxy during SSL authentication
  * Fixes issue where a users jobs were ignored by the HTCondor-CE on restart
  * Fixes issues where some events that HTCondor-CE depends on were missing

 -- Tim Theisen <tim@cs.wisc.edu>  Tue, 30 May 2023 09:33:00 -0500

condor (9.0.17-3) stable; urgency=medium

  * Improved upgrade9to10checks.py script

 -- Tim Theisen <tim@cs.wisc.edu>  Sat, 27 May 2023 06:40:00 -0500

condor (9.0.17-2) stable; urgency=medium

  * Add upgrade9to10checks.py script

 -- Tim Theisen <tim@cs.wisc.edu>  Tue, 09 May 2023 15:57:00 -0500

condor (10.4.3-1) stable; urgency=medium

  * Fix bug than could cause the collector audit plugin to crash

 -- Tim Theisen <tim@cs.wisc.edu>  Mon, 08 May 2023 21:53:00 -0500

condor (10.4.2-1) stable; urgency=medium

  * Fix bug where remote submission of batch grid universe jobs fail
  * Fix bug where HTCondor-CE fails to handle jobs after HTCondor restarts

 -- Tim Theisen <tim@cs.wisc.edu>  Tue, 02 May 2023 07:11:00 -0500

condor (10.4.1-1) stable; urgency=medium

  * Preliminary support for Ubuntu 20.04 (Focal Fossa) on PowerPC (ppc64el)

 -- Tim Theisen <tim@cs.wisc.edu>  Wed, 12 Apr 2023 13:47:00 -0500

condor (10.4.0-1) stable; urgency=medium

  * DAGMan no longer carries the entire environment into the DAGMan job
  * Allows EGI CheckIn tokens to be used the with SciTokens authentication

 -- Tim Theisen <tim@cs.wisc.edu>  Thu, 06 Apr 2023 10:36:00 -0500

condor (10.0.3-1) stable; urgency=medium

  * GPU metrics continues to be reported after the startd is reconfigured
  * Fixed issue where GPU metrics could be wildly over-reported
  * Fixed issue that kept jobs from running when installed on Debian or Ubuntu
  * Fixed DAGMan problem when retrying a proc failure in a multi-proc node

 -- Tim Theisen <tim@cs.wisc.edu>  Thu, 06 Apr 2023 10:36:00 -0500

condor (10.3.1-1) stable; urgency=medium

  * Execution points now advertise if an sshd is available for ssh to job

 -- Tim Theisen <tim@cs.wisc.edu>  Mon, 06 Mar 2023 14:36:00 -0600

condor (10.3.0-1) stable; urgency=medium

  * Now evicts OOM killed jobs when they are under their requested memory
  * HTCondor glideins can now use cgroups if one has been prepared
  * Can write job information in an AP history file for each execution attempt
  * Can now specify a lifetime for condor_gangliad metrics
  * The condor_schedd now advertises a count of unmaterialized jobs

 -- Tim Theisen <tim@cs.wisc.edu>  Mon, 06 Mar 2023 14:22:00 -0600

condor (10.0.2-1) stable; urgency=medium

  * HTCondor can optionally create intermediate directories for output files
  * Improved condor_schedd scalability when a user runs more than 1,000 jobs
  * Fix issue where condor_ssh_to_job fails if the user is not in /etc/passwd
  * The Python Schedd.query() now returns the ServerTime attribute for Fifemon
  * VM Universe jobs pass through the host CPU model to support newer kernels
  * HTCondor Python wheel is now available for Python 3.11
  * Fix issue that prevented HTCondor installation on Ubuntu 18.04

 -- John Knoeller <johnkn@cs.wisc.edu>  Thu, 02 Mar 2023 10:15:00 -0600

condor (10.2.5-1) stable; urgency=medium

  * Fix counting of unmaterialized jobs in the condor_schedd

 -- Tim Theisen <tim@cs.wisc.edu>  Mon, 27 Feb 2023 14:50:00 -0600

condor (10.2.4-1) stable; urgency=medium

  * Improve counting of unmaterialized jobs in the condor_schedd

 -- Tim Theisen <tim@cs.wisc.edu>  Thu, 23 Feb 2023 20:46:00 -0600

condor (10.2.3-1) stable; urgency=medium

  * Add a count of unmaterialized jobs to condor_schedd statistics

 -- Tim Theisen <tim@cs.wisc.edu>  Tue, 21 Feb 2023 07:10:00 -0600

condor (10.2.2-1) stable; urgency=medium

  * Fixed bugs with configuration knob SINGULARITY_USE_PID_NAMESPACES

 -- Tim Theisen <tim@cs.wisc.edu>  Mon, 06 Feb 2023 21:52:00 -0600

condor (10.2.1-1) stable; urgency=medium

  * Improved condor_schedd scalability when a user runs more than 1,000 jobs
  * Fix issue where condor_ssh_to_job fails if the user is not in /etc/passwd
  * The Python Schedd.query() now returns the ServerTime attribute
  * Fixed issue that prevented HTCondor installation on Ubuntu 18.04

 -- Tim Theisen <tim@cs.wisc.edu>  Tue, 24 Jan 2023 07:12:00 -0600

condor (10.2.0-1) stable; urgency=medium

  * Preliminary support for Enterprise Linux 9
  * Preliminary support for cgroups v2
  * Can now set minimum floor for number of CPUs that a submitter gets
  * Improved validity testing of Singularity/Apptainer runtinme
  * Improvements to jobs hooks, including new PREPARE_JOB_BEFORE_TRANSFER hook
  * OpenCL jobs now work inside Singularity, if OpenCL drivers are on the host

 -- Tim Theisen <tim@cs.wisc.edu>  Thu, 05 Jan 2023 09:36:00 -0600

condor (10.0.1-1) stable; urgency=medium

  * Add Ubuntu 22.04 (Jammy Jellyfish) support
  * Add file transfer plugin that supports stash:// and osdf:// URLs
  * Fix bug where cgroup memory limits were not enforced on Debian and Ubuntu
  * Fix bug where forcibly removing DAG jobs could crash the condor_schedd
  * Fix bug where Docker repository images cannot be run under Singularity
  * Fix issue where blahp scripts were missing on Debian and Ubuntu platforms
  * Fix bug where curl file transfer plugins would fail on Enterprise Linux 8

 -- Tim Theisen <tim@cs.wisc.edu>  Thu, 05 Jan 2023 06:36:00 -0600

condor (10.1.3-1) stable; urgency=medium

  * Improvements to jobs hooks, including new PREPARE_JOB_BEFORE_TRANSFER hook

 -- Tim Theisen <tim@cs.wisc.edu>  Mon, 21 Nov 2022 15:53:00 -0600

condor (10.1.2-1) stable; urgency=medium

  * OpenCL jobs now work inside Singularity, if OpenCL drivers are on the host

 -- Tim Theisen <tim@cs.wisc.edu>  Mon, 14 Nov 2022 15:53:00 -0600

condor (10.1.1-1) stable; urgency=medium

  * Improvements to job hooks and the ability to save stderr from a job hook
  * Fix bug where Apptainer only systems couldn't run with Docker style images

 -- Tim Theisen <tim@cs.wisc.edu>  Thu, 10 Nov 2022 15:53:00 -0600

condor (10.1.0-1) stable; urgency=medium

  * Release HTCondor 10.0.0 bug fixes into 10.1.0

 -- Tim Theisen <tim@cs.wisc.edu>  Thu, 10 Nov 2022 15:18:00 -0600

condor (10.0.0-1) stable; urgency=medium

  * Users can prevent runaway jobs by specifying an allowed duration
  * Able to extend submit commands and create job submit templates
  * Initial implementation of htcondor <noun> <verb> command line interface
  * Initial implementation of Job Sets in the htcondor CLI tool
  * Add Container Universe
  * Support for heterogeneous GPUs
  * Improved File transfer error reporting
  * GSI Authentication method has been removed
  * HTCondor now utilizes ARC-CE's REST interface
  * Support for ARM and PowerPC for Enterprise Linux 8
  * For IDTOKENS, signing key not required on every execution point
  * Trust on first use ability for SSL connections
  * Improvements against replay attacks

 -- Tim Theisen <tim@cs.wisc.edu>  Thu, 10 Nov 2022 08:55:00 -0600

condor (9.12.0-1) stable; urgency=medium

  * Provide a mechanism to bootstrap secure authentication within a pool
  * Add the ability to define submit templates
  * Administrators can now extend the help offered by condor_submit
  * Add DAGMan ClassAd attributes to record more information about jobs
  * On Linux, advertise the x86_64 micro-architecture in a slot attribute
  * Added -drain option to condor_off and condor_restart
  * Administrators can now set the shared memory size for Docker jobs
  * Multiple improvements to condor_adstash
  * HAD daemons now use SHA-256 checksums by default

 -- Tim Theisen <tim@cs.wisc.edu>  Wed, 05 Oct 2022 15:46:00 -0500

condor (9.0.17-1) stable; urgency=medium

  * Fix file descriptor leak when schedd fails to launch scheduler jobs
  * Fix failure to forward batch grid universe job's refreshed X.509 proxy
  * Fix DAGMan failure when the DONE keyword appeared in the JOB line
  * Fix HTCondor's handling of extremely large UIDs on Linux
  * Fix bug where OAUTH tokens lose their scope and audience upon refresh
  * Support for Apptainer in addition to Singularity

 -- Tim Theisen <tim@cs.wisc.edu>  Thu, 29 Sep 2022 16:31:00 -0500

condor (9.11.2-1) stable; urgency=medium

  * In 9.11.0, STARTD_NOCLAIM_SHUTDOWN restarted instead. Now, it shuts down.

 -- Tim Theisen <tim@cs.wisc.edu>  Mon, 12 Sep 2022 15:34:00 -0500

condor (9.11.1-1) stable; urgency=medium

  * File transfer errors are identified as occurring during input or output

 -- Tim Theisen <tim@cs.wisc.edu>  Tue, 06 Sep 2022 06:38:00 -0500

condor (9.11.0-1) stable; urgency=medium

  * Modified GPU attributes to support the new 'require_gpus' submit command
  * Add (PREEMPT|HOLD)_IF_DISK_EXCEEDED configuration templates
  * ADVERTISE authorization levels now also provide READ authorization
  * Periodic release expressions no longer apply to manually held jobs
  * If a #! interpreter doesn't exist, a proper hold and log message appears
  * Can now set the Singularity target directory with 'container_target_dir'
  * If SciToken and X.509 available, uses SciToken for arc job authentication

 -- Tim Theisen <tim@cs.wisc.edu>  Wed, 24 Aug 2022 14:31:00 -0500

condor (9.0.16-1) stable; urgency=medium

  * Singularity now mounts /tmp and /var/tmp under the scratch directory
  * Fix bug where Singularity jobs go on hold at the first checkpoint
  * Fix bug where gridmanager deletes the X.509 proxy file instead of the copy
  * Fix file descriptor leak when using SciTokens for authentication

 -- Tim Theisen <tim@cs.wisc.edu>  Tue, 16 Aug 2022 09:29:00 -0500

condor (9.0.15-1) stable; urgency=medium

  * Report resources provisioned by the Slurm batch scheduler when available

 -- Tim Theisen <tim@cs.wisc.edu>  Wed, 20 Jul 2022 15:18:00 -0500

condor (9.10.1-1) stable; urgency=medium

  * ActivationSetupDuration is now correct for jobs that checkpoint

 -- Tim Theisen <tim@cs.wisc.edu>  Tue, 18 Jul 2022 07:33:00 -0500

condor (9.10.0-1) stable; urgency=medium

  * With collector administrator access, can manage all HTCondor pool daemons
  * SciTokens can now be used for authentication with ARC CE servers
  * Preliminary support for ARM and POWER RC on AlmaLinux 8
  * Prevent negative values when using huge files with a file transfer plugin

 -- Tim Theisen <tim@cs.wisc.edu>  Thu, 14 Jul 2022 16:22:00 -0500

condor (9.0.14-1) stable; urgency=medium

  * SciToken mapping failures are now recorded in the daemon logs
  * Fix bug that stopped file transfers when output and error are the same
  * Ensure that the Python bindings version matches the installed HTCondor
  * $(OPSYSANDVER) now expand properly in job transforms
  * Fix bug where context managed Python htcondor.SecMan sessions would crash
  * Fix bug where remote CPU times would rarely be set to zero

 -- Tim Theisen <tim@cs.wisc.edu>  Tue, 12 Jul 2022 15:18:00 -0500

condor (9.9.1-1) stable; urgency=medium

  * Fix bug where jobs would not match when using a child collector

 -- Tim Theisen <tim@cs.wisc.edu>  Mon, 13 Jun 2022 21:32:00 -0500

condor (9.9.0-1) stable; urgency=medium

  * A new authentication method for remote HTCondor administration
  * Several changes to improve the security of connections
  * Fix issue where DAGMan direct submission failed when using Kerberos
  * The submission method is now recorded in the job ClassAd
  * Singularity jobs can now pull from Docker style repositories
  * The OWNER authorization level has been folded into the ADMINISTRATOR level

 -- Tim Theisen <tim@cs.wisc.edu>  Sat, 28 May 2022 13:28:00 -0500

condor (9.0.13-1) stable; urgency=medium

  * Schedd and startd cron jobs can now log output upon non-zero exit
  * condor_config_val now produces correct syntax for multi-line values
  * The condor_run tool now reports submit errors and warnings to the terminal
  * Fix issue where Kerberos authentication would fail within DAGMan
  * Fix HTCondor startup failure with certain complex network configurations

 -- Tim Theisen <tim@cs.wisc.edu>  Thu, 26 May 2022 14:28:00 -0500

condor (9.8.1-1) stable; urgency=medium

  * Fix HTCondor startup failure with certain complex network configurations

 -- Tim Theisen <tim@cs.wisc.edu>  Thu, 25 Apr 2022 19:39:00 -0500

condor (9.8.0-1) stable; urgency=medium

  * Support for Heterogeneous GPUs, some configuration required
  * Allow HTCondor to utilize grid sites requiring two-factor authentication
  * Technology preview: bring your own resources from (some) NSF HPC clusters

 -- Tim Theisen <tim@cs.wisc.edu>  Thu, 21 Apr 2022 14:16:00 -0500

condor (9.0.12-1) stable; urgency=medium

  * Fix bug in parallel universe that could cause the schedd to crash
  * Fix rare crash where a daemon tries to use a discarded security session

 -- Tim Theisen <tim@cs.wisc.edu>  Tue, 19 Apr 2022 14:26:00 -0500

condor (9.7.1-1) stable; urgency=medium

  * Fix recent bug where jobs may go on hold without a hold reason or code

 -- Tim Theisen <tim@cs.wisc.edu>  Fri, 01 Apr 2022 09:51:00 -0500

condor (9.7.0-1) stable; urgency=medium

  * Support environment variables, other application elements in ARC REST jobs
  * Container universe supports Singularity jobs with hard-coded command
  * DAGMan submits jobs directly (does not shell out to condor_submit)
  * Meaningful error message and sub-code for file transfer failures
  * Add file transfer statistics for file transfer plugins
  * Add named list policy knobs for SYSTEM_PERIODIC_ policies

 -- Tim Theisen <tim@cs.wisc.edu>  Sat, 12 Mar 2022 19:05:00 -0600

condor (9.0.11-1) stable; urgency=medium

  * The Job Router can now create an IDTOKEN for use by the job
  * Fix bug where a self-checkpointing job may erroneously be held
  * Fix bug where the Job Router could erroneously substitute a default value
  * Fix bug where a file transfer error may identify the wrong file
  * Fix bug where condor_ssh_to_job may fail to connect

 -- Tim Theisen <tim@cs.wisc.edu>  Sat, 12 Mar 2022 14:34:00 -0600

condor (8.8.17-1) stable; urgency=high

  * Fixed a memory leak in the Job Router

 -- Tim Theisen <tim@cs.wisc.edu>  Fri, 11 Mar 2022 13:38:00 -0600

condor (9.6.0-1) stable; urgency=high

  * Fixes for security issues
    https://htcondor.org/security/vulnerabilities/HTCONDOR-2022-0001.html
    https://htcondor.org/security/vulnerabilities/HTCONDOR-2022-0002.html
    https://htcondor.org/security/vulnerabilities/HTCONDOR-2022-0003.html

 -- Tim Theisen <tim@cs.wisc.edu>  Wed, 16 Feb 2022 12:14:00 -0600

condor (9.0.10-1) stable; urgency=high

  * Fixes for security issues
    https://htcondor.org/security/vulnerabilities/HTCONDOR-2022-0001.html
    https://htcondor.org/security/vulnerabilities/HTCONDOR-2022-0002.html
    https://htcondor.org/security/vulnerabilities/HTCONDOR-2022-0003.html

 -- Tim Theisen <tim@cs.wisc.edu>  Wed, 16 Feb 2022 11:11:00 -0600

condor (8.8.16-1) stable; urgency=high

  * Fix for security issue
    https://htcondor.org/security/vulnerabilities/HTCONDOR-2022-0003.html

 -- Tim Theisen <tim@cs.wisc.edu>  Fri, 11 Mar 2022 08:20:00 -0600

condor (9.5.4-1) stable; urgency=medium

  * The access point more robustly detects execution points that disappear
  * The condor_procd will now function if /proc is mounted with hidepid=2

 -- Tim Theisen <tim@cs.wisc.edu>  Mon, 07 Feb 2022 16:33:00 -0600

condor (9.5.3-1) stable; urgency=medium

  * Fix daemon crash where one of multiple collectors is not in DNS
  * Fix bug where initial schedd registration was rarely delayed by an hour
  * Can set CCB_TIMEOUT and choose to not start up if CCB address unavailable

 -- Tim Theisen <tim@cs.wisc.edu>  Tue, 01 Feb 2022 10:46:00 -0600

condor (9.5.2-1) stable; urgency=medium

  * Fix bug where job may not go on hold when exceeding allowed_job_duration
  * Fix bug where the condor_shadow could run indefinitely
  * Fix bug where condor_ssh_to_job may fail to connect
  * Fix bug where a file transfer error may identify the wrong file

 -- Tim Theisen <tim@cs.wisc.edu>  Tue, 25 Jan 2022 09:44:00 -0600

condor (9.5.1-1) stable; urgency=medium

  * Fix bug where a self-checkpointing job may erroneously be held

 -- Tim Theisen <tim@cs.wisc.edu>  Mon, 17 Jan 2022 10:15:00 -0600

condor (9.5.0-1) stable; urgency=medium

  * Initial implementation of Container Universe
  * HTCondor will automatically detect container type and where it can run
  * The blahp is no longer separate, it is now an integral part of HTCondor
  * Docker Universe jobs can now self-checkpoint
  * Added Debian 11 (bullseye) as a supported platform
  * Since CentOS 8 has reached end of life, we build and test on Rocky Linux 8

 -- Tim Theisen <tim@cs.wisc.edu>  Thu, 13 Jan 2022 14:17:00 -0600

condor (9.0.9-1) stable; urgency=medium

  * Added Debian 11 (bullseye) as a supported platform
  * Since CentOS 8 has reached end of life, we build and test on Rocky Linux 8
  * The OAUTH credmon is now packaged for Enterprise Linux 8

 -- Tim Theisen <tim@cs.wisc.edu>  Tue, 11 Jan 2022 12:48:00 -0600

condor (9.4.1-1) stable; urgency=medium

  * Add the ability to track slot activation metrics
  * Fix bug where a file transfer plugin failure code may not be reported

 -- Tim Theisen <tim@cs.wisc.edu>  Tue, 21 Dec 2021 15:04:00 -0600

condor (9.4.0-1) stable; urgency=medium

  * Initial implementation of Job Sets in the htcondor CLI tool
  * The access point administrator can add keywords to the submit language
  * Add submit commands that limit job run time
  * Fix bug where self check-pointing jobs may be erroneously held

 -- Tim Theisen <tim@cs.wisc.edu>  Thu, 02 Dec 2021 14:13:00 -0600

condor (9.0.8-1) stable; urgency=medium

  * Fix bug where huge values of ImageSize and others would end up negative
  * Fix bug in how MAX_JOBS_PER_OWNER applied to late materialization jobs
  * Fix bug where the schedd could choose a slot with insufficient disk space
  * Fix crash in ClassAd substr() function when the offset is out of range
  * Fix bug in Kerberos code that can crash on macOS and could leak memory
  * Fix bug where a job is ignored for 20 minutes if the startd claim fails

 -- Tim Theisen <tim@cs.wisc.edu>  Thu, 02 Dec 2021 08:56:00 -0600

condor (9.3.2-1) stable; urgency=medium

  * Add allowed_execute_duration condor_submit command to cap job run time
  * Fix bug where self check-pointing jobs may be erroneously held

 -- Tim Theisen <tim@cs.wisc.edu>  Tue, 30 Nov 2021 05:46:00 -0600

condor (9.3.1-1) stable; urgency=medium

  * Add allowed_job_duration condor_submit command to cap job run time

 -- Tim Theisen <tim@cs.wisc.edu>  Mon, 08 Nov 2021 23:08:00 -0600

condor (9.3.0-1) stable; urgency=medium

  * Discontinue support for Globus GSI
  * Discontinue support for grid type 'nordugrid', use 'arc' instead
  * MacOS version strings now include the major version number (10 or 11)
  * File transfer plugin sample code to aid in developing new plugins
  * Add generic knob to set the slot user for all slots

 -- Tim Theisen <tim@cs.wisc.edu>  Wed, 03 Nov 2021 13:33:00 -0500

condor (9.0.7-1) stable; urgency=medium

  * Fix bug where condor_gpu_discovery could crash with older CUDA libraries
  * Fix bug where condor_watch_q would fail on machines with older kernels
  * condor_watch_q no longer has a limit on the number of job event log files
  * Fix bug where a startd could crash claiming a slot with p-slot preemption
  * Fix bug where a job start would not be recorded when a shadow reconnects

 -- Tim Theisen <tim@cs.wisc.edu>  Tue, 02 Nov 2021 14:54:00 -0500

condor (9.2.0-1) stable; urgency=medium

  * Add SERVICE node that runs alongside the DAG for the duration of the DAG
  * Fix problem where proxy delegation to older HTCondor versions failed
  * Jobs are now re-run if the execute directory unexpectedly disappears
  * HTCondor counts the number of files transfered at the submit node
  * Fix a bug that caused jobs to fail when using newer Singularity versions

 -- Tim Theisen <tim@cs.wisc.edu>  Thu, 23 Sep 2021 16:19:34 -0500

condor (9.0.6-1) stable; urgency=medium

  * CUDA_VISIBLE_DEVICES can now contain GPU-<uuid> formatted values
  * Fixed a bug that caused jobs to fail when using newer Singularity versions
  * Fixed a bug in the Windows MSI installer for the latest Windows 10 version
  * Fixed bugs relating to the transfer of standard out and error logs
  * MacOS 11.x now reports as 10.16.x (which is better than reporting x.0)

 -- Tim Theisen <tim@cs.wisc.edu>  Thu, 23 Sep 2021 09:27:08 -0500

condor (9.1.3-1) stable; urgency=medium

  * Globus GSI is no longer needed for X.509 proxy delegation
  * Globus GSI authentication is disabled by default
  * The job ad now contains a history of job holds and hold reasons
  * If a user job policy expression evaluates to undefined, it is ignored

 -- Tim Theisen <tim@cs.wisc.edu>  Thu, 19 Aug 2021 13:52:24 -0500

condor (9.0.5-1) stable; urgency=medium

  * Other authentication methods are tried if mapping fails using SciTokens
  * Fix rare crashes from successful condor_submit, which caused DAGMan issues
  * Fix bug where ExitCode attribute would be suppressed when OnExitHold fired
  * condor_who now suppresses spurious warnings coming from netstat
  * The online manual now has detailed instructions for installing on MacOS
  * Fix bug where misconfigured MIG devices confused condor_gpu_discovery
  * The transfer_checkpoint_file list may now include input files

 -- Tim Theisen <tim@cs.wisc.edu>  Wed, 18 Aug 2021 10:07:10 -0500

condor (9.1.2-1) stable; urgency=high

  * Fixes for security issues
    https://htcondor.org/security/vulnerabilities/HTCONDOR-2021-0003.html
    https://htcondor.org/security/vulnerabilities/HTCONDOR-2021-0004.html

 -- Tim Theisen <tim@cs.wisc.edu>  Thu, 29 Jul 2021 10:35:12 -0500

condor (9.0.4-1) stable; urgency=high

  * Fixes for security issues
    https://htcondor.org/security/vulnerabilities/HTCONDOR-2021-0003.html
    https://htcondor.org/security/vulnerabilities/HTCONDOR-2021-0004.html

 -- Tim Theisen <tim@cs.wisc.edu>  Thu, 29 Jul 2021 10:35:12 -0500

condor (8.8.15-1) stable; urgency=high

  * Fix for security issue
    https://htcondor.org/security/vulnerabilities/HTCONDOR-2021-0003.html

 -- Tim Theisen <tim@cs.wisc.edu>  Thu, 29 Jul 2021 10:35:12 -0500

condor (9.1.1-1) stable; urgency=high

  * Fixes for security issues
    https://htcondor.org/security/vulnerabilities/HTCONDOR-2021-0003.html
    https://htcondor.org/security/vulnerabilities/HTCONDOR-2021-0004.html

 -- Tim Theisen <tim@cs.wisc.edu>  Tue, 13 Jul 2021 09:11:38 -0500

condor (9.0.3-1) stable; urgency=high

  * Fixes for security issues
    https://htcondor.org/security/vulnerabilities/HTCONDOR-2021-0003.html
    https://htcondor.org/security/vulnerabilities/HTCONDOR-2021-0004.html

 -- Tim Theisen <tim@cs.wisc.edu>  Tue, 13 Jul 2021 09:11:38 -0500

condor (8.8.14-1) stable; urgency=high

  * Fix for security issue
    https://htcondor.org/security/vulnerabilities/HTCONDOR-2021-0003.html

 -- Tim Theisen <tim@cs.wisc.edu>  Tue, 13 Jul 2021 09:11:38 -0500

condor (9.0.2-1) stable; urgency=medium

  * HTCondor can be set up to use only FIPS 140-2 approved security functions
  * If the Singularity test fails, the job goes idle rather than getting held
  * Can divide GPU memory, when making multiple GPU entries for a single GPU
  * Startd and Schedd cron job maximum line length increased to 64k bytes
  * Added first class submit keywords for SciTokens
  * Fixed MUNGE authentication
  * Fixed Windows installer to work when the install location isn't C:\Condor

 -- Tim Theisen <tim@cs.wisc.edu>  Thu, 08 Jul 2021 06:35:49 -0500

condor (9.1.0-1) stable; urgency=medium

  * Support for submitting to ARC-CE via the REST interface
  * DAGMan can put failed jobs on hold (user can correct problems and release)
  * Can run gdb and ptrace within Docker containers
  * A small Docker test job is run on the execute node to verify functionality
  * The number of instructions executed is reported in the job Ad on Linux

 -- Tim Theisen <tim@cs.wisc.edu>  Thu, 20 May 2021 09:35:16 -0500

condor (9.0.1-1) stable; urgency=medium

  * Fix problem where X.509 proxy refresh kills job when using AES encryption
  * Fix problem when jobs require a different machine after a failure
  * Fix problem where a job matched a machine it can't use, delaying job start
  * Fix exit code and retry checking when a job exits because of a signal
  * Fix a memory leak in the job router when a job is removed via job policy
  * Fixed the back-end support for the 'bosco_cluster --add' command
  * An updated Windows installer that supports IDTOKEN authentication

 -- Tim Theisen <tim@cs.wisc.edu>  Fri, 14 May 2021 17:46:39 -0500

condor (9.0.0-1) stable; urgency=medium

  * Absent any configuration, HTCondor denies authorization to all users
  * AES encryption is used for all communication and file transfers by default
  * New IDTOKEN authentication method enables fine-grained authorization
  * IDTOKEN authentication method is designed to replace GSI
  * Improved support for GPUs, including machines with multiple GPUs
  * New condor_watch_q tool that efficiently provides live job status updates
  * Many improvements to the Python bindings
  * New Python bindings for DAGMan and chirp
  * Improved file transfer plugins supporting uploads and authentication
  * File transfer times are now recorded in the job log
  * Added support for jobs that need to acquire and use OAUTH tokens
  * Many memory footprint and performance improvements in DAGMan
  * Submitter ceilings can limit the number of jobs per user in a pool

 -- Tim Theisen <tim@cs.wisc.edu>  Wed, 14 Apr 2021 13:25:15 -0500

condor (8.9.13-1) stable; urgency=medium

  * Host based security is no longer the default security model
  * Hardware accelerated integrity and AES encryption used by default
  * Normally, AES encryption is used for all communication and file transfers
  * Fallback to Triple-DES or Blowfish when interoperating with older versions
  * Simplified and automated new HTCondor installations
  * HTCondor now detects instances of multi-instance GPUs
  * Fixed memory leaks (collector updates in 8.9 could leak a few MB per day)
  * Many other enhancements and bug fixes, see version history for details

 -- Tim Theisen <tim@cs.wisc.edu>  Mon, 29 Mar 2021 22:50:51 -0500

condor (8.9.12-1) stable; urgency=medium

  * Withdrawn due to compatibility issues with prior releases

 -- Tim Theisen <tim@cs.wisc.edu>  Thu, 25 Mar 2021 14:15:17 -0500

condor (8.8.13-1) stable; urgency=medium

  * condor_ssh_to_job now maps CR and NL to work with editors like nano
  * Improved the performance of data transfer in condor_ssh_to_job
  * HA replication now accepts SHA-2 checksums to prepare for MD5 removal
  * Submission to NorduGrid ARC CE works with newer ARC CE versions
  * Fixed condor_annex crashes on platforms with newer compilers
  * Fixed "use feature: GPUsMonitor" to locate the monitor binary on Windows
  * Fixed a bug that prevented using the '@' character in an event log path

 -- Tim Theisen <tim@cs.wisc.edu>  Tue, 23 Mar 2021 08:07:35 -0500

condor (8.9.11-1) stable; urgency=high

  * This release of HTCondor fixes security-related bugs described at
  * https://htcondor.org/security/vulnerabilities/HTCONDOR-2021-0001.html
  * https://htcondor.org/security/vulnerabilities/HTCONDOR-2021-0002.html

 -- Tim Theisen <tim@cs.wisc.edu>  Mon, 28 Dec 2020 09:55:44 -0600

condor (8.9.10-1) stable; urgency=medium

  * Fix bug where negotiator stopped making matches when group quotas are used
  * Support OAuth, SciTokens, and Kerberos credentials in local universe jobs
  * The Python schedd.submit method now takes a Submit object
  * DAGMan can now optionally run a script when a job goes on hold
  * DAGMan now provides a method for inline jobs to share submit descriptions
  * Can now add arbitrary tags to condor annex instances
  * Runs the "singularity test" before running the a singularity job

 -- Tim Theisen <tim@cs.wisc.edu>  Tue, 24 Nov 2020 09:52:13 -0600

condor (8.8.12-1) stable; urgency=medium

  * Added a family of version comparison functions to ClassAds
  * Increased default Globus proxy key length to meet current NIST guidance

 -- Tim Theisen <tim@cs.wisc.edu>  Sat, 21 Nov 2020 16:40:52 -0600

condor (8.9.9-1) stable; urgency=medium

  * The RPM packages requires globus, munge, scitokens, and voms from EPEL
  * Improved cgroup memory policy settings that set both hard and soft limit
  * Cgroup memory usage reporting no longer includes the kernel buffer cache
  * Numerous Python binding improvements, see version history
  * Can create a manifest of files on the execute node at job start and finish
  * Added provisioner nodes to DAGMan, allowing users to provision resources
  * DAGMan can now produce .dot graphs without running the workflow

 -- Tim Theisen <tim@cs.wisc.edu>  Sun, 25 Oct 2020 12:32:40 -0500

condor (8.8.11-1) stable; urgency=medium

  * HTCondor now properly tracks usage over vanilla universe checkpoints
  * New ClassAd equality and inequality operators in the Python bindings
  * Fixed a bug where removing in-use routes could crash the job router
  * Fixed a bug where condor_chirp would abort after success on Windows
  * Fixed a bug where using MACHINE_RESOURCE_NAMES could crash the startd
  * Improved condor c-gahp to prioritize commands over file transfers
  * Fixed a rare crash in the schedd when running many local universe jobs
  * With GSI, avoid unnecessary reverse DNS lookup when HOST_ALIAS is set
  * Fix a bug that could cause grid universe jobs to fail upon proxy refresh

 -- Tim Theisen <tim@cs.wisc.edu>  Wed, 21 Oct 2020 06:38:00 -0500

condor (8.9.8-1) unstable; urgency=medium

  * Added htcondor.dags and htcondor.htchirp to the HTCondor Python bindings
  * New condor_watch_q tool that efficiently provides live job status updates
  * Added support for marking a GPU offline while other jobs continue
  * The condor_master command does not return until it is fully started
  * Deprecated several Python interfaces in the Python bindings

 -- Tim Theisen <tim@cs.wisc.edu>  Wed, 05 Aug 2020 13:47:06 -0500

condor (8.8.10-1) stable; urgency=medium

  * condor_qedit can no longer be used to disrupt the condor_schedd
  * Fixed a bug where the SHARED_PORT_PORT configuration setting was ignored
  * Ubuntu 20.04 and Amazon Linux 2 are now supported
  * In MacOSX, HTCondor now requires LibreSSL, available since MacOSX 10.13

 -- Tim Theisen <tim@cs.wisc.edu>  Tue, 04 Aug 2020 20:55:25 -0500

condor (8.9.7-1) unstable; urgency=medium

  * Multiple enhancements in the file transfer code
  * Support for more regions in s3:// URLs
  * Much more flexible job router language
  * Jobs may now specify cuda_version to match equally-capable GPUs
  * TOKENS are now called IDTOKENS to differentiate from SCITOKENS
  * Added the ability to blacklist TOKENS via an expression
  * Can simultaneously handle Kerberos and OAUTH credentials
  * The getenv submit command now supports a blacklist and whitelist
  * The startd supports a remote history query similar to the schedd
  * condor_q -submitters now works with accounting groups
  * Fixed a bug reading service account credentials for Google Compute Engine

 -- Tim Theisen <tim@cs.wisc.edu>  Tue, 19 May 2020 14:56:05 -0500

condor (8.8.9-1) stable; urgency=medium

  * Proper tracking of maximum memory used by Docker universe jobs
  * Fixed preempting a GPU slot for a GPU job when all GPUs are in use
  * Fixed a Python crash when queue_item_data iterator raises an exception
  * Fixed a bug where slot attribute overrides were ignored
  * Calculates accounting group quota correctly when more than 1 CPU requested
  * Updated HTCondor Annex to accommodate API change for AWS Spot Fleet
  * Fixed a problem where HTCondor would not start on AWS Fargate
  * Fixed where the collector could wait forever for a partial message
  * Fixed streaming output to large files (>2Gb) when using the 32-bit shadow

 -- Tim Theisen <tim@cs.wisc.edu>  Wed, 06 May 2020 07:36:28 -0500

condor (8.9.6-1) unstable; urgency=high

  * Fixes addressing CVE-2019-18823
    https://htcondor.org/security/vulnerabilities/HTCONDOR-2020-0001.html
    https://htcondor.org/security/vulnerabilities/HTCONDOR-2020-0002.html
    https://htcondor.org/security/vulnerabilities/HTCONDOR-2020-0003.html
    https://htcondor.org/security/vulnerabilities/HTCONDOR-2020-0004.html

 -- Tim Theisen <tim@cs.wisc.edu>  Wed, 18 Mar 2020 15:40:28 -0500

condor (8.8.8-1) stable; urgency=high

  * Fixes addressing CVE-2019-18823
    https://htcondor.org/security/vulnerabilities/HTCONDOR-2020-0001.html
    https://htcondor.org/security/vulnerabilities/HTCONDOR-2020-0002.html
    https://htcondor.org/security/vulnerabilities/HTCONDOR-2020-0003.html
    https://htcondor.org/security/vulnerabilities/HTCONDOR-2020-0004.html

 -- Tim Theisen <tim@cs.wisc.edu>  Tue, 17 Mar 2020 11:05:03 -0500

condor (8.9.5-2) unstable; urgency=medium

  * Fixed the installation of the HTCondor Python bindings on Debian/Ubuntu

 -- Tim Theisen <tim@cs.wisc.edu>  Wed, 19 Feb 2020 19:43:10 -0600

condor (8.9.5-1) unstable; urgency=medium

  * Added a new mode that skips jobs whose outputs are newer than their inputs
  * Added command line tool to help debug ClassAd expressions
  * Added port forwarding to Docker containers
  * You may now change some DAGMan throttles while the DAG is running
  * Added support for session tokens for pre-signed S3 URLs
  * Improved the speed of the negotiator when custom resources are defined
  * Fixed interactive submission of Docker jobs
  * Fixed a bug where jobs wouldn't be killed when getting an OOM notification

 -- Tim Theisen <tim@cs.wisc.edu>  Mon, 30 Dec 2019 16:27:36 -0600

condor (8.8.7-1) stable; urgency=medium

  * Updated condor_annex to work with upcoming AWS Lambda function changes
  * Added the ability to specify the order that job routes are applied
  * Fixed a bug that could cause remote condor submits to fail
  * Fixed condor_wait to work when the job event log is on AFS
  * Fixed RPM packaging to be able to install condor-all on CentOS 8
  * Period ('.') is allowed again in DAGMan node names

 -- Tim Theisen <tim@cs.wisc.edu>  Tue, 24 Dec 2019 08:03:51 -0600

condor (8.9.4-1) unstable; urgency=medium

  * Amazon S3 file transfers using pre-signed URLs
  * Further reductions in DAGMan memory usage
  * Added -idle option to condor_q to display information about idle jobs
  * Support for SciTokens authentication
  * A tool, condor_evicted_files, to examine the SPOOL of an idle job

 -- Tim Theisen <tim@cs.wisc.edu>  Mon, 18 Nov 2019 15:40:14 -0600

condor (8.8.6-1) stable; urgency=medium

  * Initial support for CentOS 8
  * Fixed a memory leak in SSL authentication
  * Fixed a bug where "condor_submit -spool" would only submit the first job
  * Reduced encrypted file transfer CPU usage by a factor of six
  * "condor_config_val -summary" displays changes from a default configuration
  * Improved the ClassAd documentation, added many functions that were omitted

 -- Tim Theisen <tim@cs.wisc.edu>  Wed, 13 Nov 2019 08:18:44 -0600

condor (8.9.3-1) unstable; urgency=medium

  * TOKEN and SSL authentication methods are now enabled by default
  * The job and global event logs use ISO 8601 formatted dates by default
  * Added Google Drive multifile transfer plugin
  * Added upload capability to Box multifile transfer plugin
  * Added Python bindings to submit a DAG
  * Python 'JobEventLog' can be pickled to facilitate intermittent readers
  * 2x matchmaking speed for partitionable slots with simple START expressions
  * Improved the performance of the condor_schedd under heavy load
  * Reduced the memory footprint of condor_dagman
  * Initial implementation to record the circumstances of a job's termination

 -- Tim Theisen <tim@cs.wisc.edu>  Tue, 17 Sep 2019 00:00:00 -0500

condor (8.8.5-1) stable; urgency=medium

  * Fixed two performance problems on Windows
  * Fixed Java universe on Debian and Ubuntu systems
  * Added two knobs to improve performance on large scale pools
  * Fixed a bug where requesting zero GPUs would require a machine with GPUs
  * HTCondor can now recognize nVidia Volta and Turing GPUs

 -- Tim Theisen <tim@cs.wisc.edu>  Wed, 04 Sep 2019 13:22:29 -0500

condor (8.8.4-1) stable; urgency=medium

  * Python 3 bindings - see version history for details (requires EPEL on EL7)
  * Can configure DAGMan to dramatically reduce memory usage on some DAGs
  * Improved scalability when using the python bindings to qedit jobs
  * Fixed infrequent schedd crashes when removing scheduler universe jobs
  * The condor_master creates run and lock directories when systemd doesn't
  * The condor daemon obituary email now contains the last 200 lines of log

 -- Tim Theisen <tim@cs.wisc.edu>  Tue, 09 Jul 2019 10:15:38 -0500

condor (8.9.2-1) unstable; urgency=medium

  * The HTTP/HTTPS file transfer plugin will timeout and retry transfers
  * A new multi-file box.com file transfer plugin to download files
  * The manual has been moved to Read the Docs
  * Configuration options for job-log time-stamps (UTC, ISO 8601, sub-second)
  * Several improvements to SSL authentication
  * New TOKEN authentication method enables fine-grained authorization control

 -- Tim Theisen <tim@cs.wisc.edu>  Tue, 05 Jun 2019 08:03:56 -0500

condor (8.8.3-1) stable; urgency=medium

  * Fixed a bug where jobs were killed instead of peacefully shutting down
  * Fixed a bug where a restarted schedd wouldn't connect to its running jobs
  * Improved file transfer performance when sending multiple files
  * Fix a bug that prevented interactive submit from working with Singularity
  * Orphaned Docker containers are now cleaned up on execute nodes
  * Restored a deprecated Python interface that is used to read the event log

 -- Tim Theisen <tim@cs.wisc.edu>  Wed, 22 May 2019 07:16:49 -0500

condor (8.9.1-1) unstable; urgency=medium

  * An efficient curl plugin that supports uploads and authentication tokens
  * HTCondor automatically supports GPU jobs in Docker and Singularity
  * File transfer times are now recorded in the user job log and the job ad

 -- Tim Theisen <tim@cs.wisc.edu>  Wed, 17 Apr 2019 06:50:37 -0600

condor (8.8.2-1) stable; urgency=medium

  * Fixed problems with condor_ssh_to_job and Singularity jobs
  * Fixed a problem that could cause condor_annex to crash
  * Fixed a problem where the job queue would very rarely be corrupted
  * condor_userprio can report concurrency limits again
  * Fixed the GPU discovery and monitoring code to map GPUs in the same way
  * Made the CHIRP_DELAYED_UPDATE_PREFIX configuration knob work again
  * Fixed restarting HTCondor from the Service Control Manager on Windows
  * Fixed a problem where local universe jobs could not use condor_submit
  * Restored a deprecated Python interface that is used to read the event log
  * Fixed a problem where condor_shadow reuse could confuse DAGMan

 -- Tim Theisen <tim@cs.wisc.edu>  Thu, 11 Apr 2019 07:48:19 -0500

condor (8.9.0-1) unstable; urgency=medium

  * Absent any configuration, HTCondor denies authorization to all users
  * All HTCondor daemons under a condor_master share a security session
  * Scheduler Universe jobs are prioritized by job priority

 -- Tim Theisen <tim@cs.wisc.edu>  Wed, 27 Feb 2019 17:05:36 -0600

condor (8.8.1-1) stable; urgency=medium

  * Fixed excessive CPU consumption with GPU monitoring
  * GPU monitoring is off by default; enable with "use feature: GPUsMonitor"
  * HTCondor now works with the new CUDA version 10 libraries
  * Fixed a bug where sometimes jobs would not start on a Windows execute node
  * Fixed a bug that could cause DAGman to go into an infinite loop on exit
  * The JobRouter doesn't forward the USER attribute between two UID Domains
  * Made Collector.locateAll() more efficient in the Python bindings
  * Improved efficiency of the negotiation code in the condor_schedd

 -- Tim Theisen <tim@cs.wisc.edu>  Mon, 18 Feb 2019 15:44:41 -0600

condor (8.8.0-1) stable; urgency=medium

  * Automatically add AWS resources to your pool using HTCondor Annex
  * The Python bindings now include submit functionality
  * Added the ability to run a job immediately by replacing a running job
  * A new minihtcondor package makes single node installations easy
  * HTCondor now tracks and reports GPU utilization
  * Several performance enhancements in the collector
  * The grid universe can create and manage VM instances in Microsoft Azure
  * The MUNGE security method is now supported on all Linux platforms

 -- Tim Theisen <tim@cs.wisc.edu>  Thu, 03 Jan 2019 12:03:47 -0600

condor (8.7.10-1) unstable; urgency=medium

  * Can now interactively submit Docker jobs
  * The administrator can now add arguments to the Singularity command line
  * The MUNGE security method is now supported on all Linux platforms
  * The grid universe can create and manage VM instances in Microsoft Azure
  * Added a single-node package to facilitate using a personal HTCondor

 -- Tim Theisen <tim@cs.wisc.edu>  Tue, 30 Oct 2018 16:07:41 -0500

condor (8.6.13-1) stable; urgency=medium

  * Made the Python 'in' operator case-insensitive for ClassAd attributes
  * Python bindings are now built for the Debian and Ubuntu platforms
  * Fixed a memory leak in the Python bindings
  * Fixed a bug where absolute paths failed for output/error files on Windows
  * Fixed a bug using Condor-C to run Condor-C jobs
  * Fixed a bug where Singularity could not be used if Docker was not present

 -- Tim Theisen <tim@cs.wisc.edu>  Tue, 30 Oct 2018 10:28:39 -0500

condor (8.7.9-1) unstable; urgency=medium

  * Support for Debian 9, Ubuntu 16, and Ubuntu 18
  * Improved Python bindings to support the full range of submit functionality
  * Allows VMs to shutdown when the job is being gracefully evicted
  * Can now specify a host name alias (CNAME) for NETWORK_HOSTNAME
  * Added the ability to run a job immediately by replacing a running job

 -- Tim Theisen <tim@cs.wisc.edu>  Wed, 01 Aug 2018 00:40:39 -0500

condor (8.6.12-1) stable; urgency=medium

  * Support for Debian 9, Ubuntu 16, and Ubuntu 18
  * Fixed a memory leak that occurred when SSL authentication fails
  * Fixed a bug where invalid transform REQUIREMENTS caused a Job to match
  * Fixed a bug to allow a queue super user to edit protected attributes
  * Fixed a problem setting the job environment in the Singularity container
  * Fixed several other minor problems

 -- Tim Theisen <tim@cs.wisc.edu>  Tue, 31 Jul 2018 22:58:32 -0500

condor (8.6.11) unstable; urgency=medium

  * Nightly build

 -- Tim Theisen <tim@exec-23.batlab.org>  Thu, 31 May 2018 15:01:37 -0500

condor (8.6.8~dfsg.1-2) unstable; urgency=medium

  * Disable GSOAP (Closes: #890007) (GSOAP will be dropped from HTCondor soon)
  * Package Apache NOTICE file (fix up lintian error)

 -- Tim Theisen <tim@exec-23.batlab.org>  Mon, 19 Mar 2018 18:28:58 -0500

condor (8.6.8~dfsg.1-1) unstable; urgency=medium

  [ Tim Theisen ]
  * New upstream stable release (update to latest 8.6 stable series).
    - Support for singularity containers.
    - Jobs can now be submitted to the Slurm batch scheduling system via the
      new slurm type in the grid universe.
    - Fixes an issue where a user can cause the condor_schedd to crash by
      submitting a job designed for that purpose (CVE-2017-16816).
  * Bump SO version of libclassad from 7 to 8.

  [ Michael Hanke ]
  * Drop transitional packages (Condor -> HTCondor). Thanks to Holger Levsen
    for pointing this out (Closes: #878376).
  * Package was falsely suggesting "docker" instead of "docker.io".
  * More robust default "Personal Condor" configuration (should not break in
    IPv6 scenarios).

 -- Tim Theisen <tim@cs.wisc.edu>  Thu, 16 Nov 2017 15:48:05 -0600

condor (8.4.11~dfsg.1-3) unstable; urgency=medium

  * Get rid of lintian errors (eliminate RPATH, dh_python build dependency)

 -- Tim Theisen <tim@cs.wisc.edu>  Wed, 04 Oct 2017 15:33:23 -0500

condor (8.4.11~dfsg.1-2) unstable; urgency=medium

  * List additional global symbols for new gsoap version(Closes: #868905).
    Thanks to Michael Hudson-Doyle <michael.hudson@canonical.com>
  * Add build conflict to prevent pulling in cream on raspian.
    Thanks to Peter Green <plugwash@p10link.net>

 -- Tim Theisen <tim@cs.wisc.edu>  Fri, 18 Aug 2017 22:39:59 -0500

condor (8.4.11~dfsg.1-1) unstable; urgency=medium

  * New upstream bugfix release.
    - Various bugfixes for a number of HTCondor subsystems
      http://research.cs.wisc.edu/htcondor/manual/v8.4.11/10_3Stable_Release.html
  * Add Tim Theisen as a maintainer.
  * Remove Brian Lin as a maintainer.

 -- Tim Theisen <tim@cs.wisc.edu>  Wed, 25 Jan 2017 09:45:20 -0600

condor (8.4.9~dfsg.1-2) unstable; urgency=medium

  * Add patch to fix FTBFS due to -fPIE being default now. Thanks
    to Adrian Bunk <bunk@stusta.de> for the patch (Closes: #837402).
  * Disable VOMS support for now to workaround VOMS not being ready for
    OpenSSL 1.1.0 (Closes: #828269). To be re-enabled once #844877
    was addressed.
  * Add upstream patch for OpenSSL 1.1 compatibility (to be released with
    8.4.10).

 -- Michael Hanke <mih@debian.org>  Sun, 27 Nov 2016 08:45:09 +0100

condor (8.4.9~dfsg.1-1) unstable; urgency=medium

  * New upstream bugfix release.
    - Updated systemd service configuration.
    - Various bugfixes for a number of HTCondor subsystems
      http://research.cs.wisc.edu/htcondor/manual/v8.4.9/10_3Stable_Release.html
  * Refreshed patches.
  * Adjusted install setup for tmpfile.d configuration after upstream source
    reorganization.

 -- Michael Hanke <mih@debian.org>  Fri, 14 Oct 2016 13:39:15 +0200

condor (8.4.8~dfsg.1-1) unstable; urgency=medium

  * New upstream release (skipped several, more help wanted!)
    - Clarified license of doc/makeman/hard-test.html -- same as
      main HTCondor license (Closes: #822404)
  * Bumped Standards version to 3.9.8, no changes necessary.
  * Add Debconf template translation:
    - Brazilian Portuguese -- courtesy of Adriano Rafael Gomes
      <adrianorg@arg.eti.br>.
      (Closes: #816945)
  * Prevent failure when creating arch-independent packages only.
    Patch is courtesy of Santiago Vila <sanvila@unex.es> (Closes: #809112)

 -- Michael Hanke <mih@debian.org>  Fri, 19 Aug 2016 10:14:12 +0200

condor (8.4.2~dfsg.1-1) unstable; urgency=medium

  * New upstream release.
    - Simplified configuration to hold or preempt jobs that exceed resource
      claims.
    - Fix FTBFS on non-amd64 64bit platforms (Closes: #804386).
    - Various other bug fixes.
  * Install tmpfiles configuration for systemd to prevent service start
    failure due to missing /var/run/condor.

 -- Michael Hanke <mih@debian.org>  Fri, 11 Dec 2015 20:30:35 +0100

condor (8.4.0~dfsg.1-1) unstable; urgency=medium

  * First upstream in new 8.4 stable series. Updates:
    - leaner resource footprint for up to 200k simultaneous jobs in a
      single pool
    - run Docker containers as jobs
    - configurable encryption of execution directories
    - support for simultaneous IPv4 and IPv6 connections
    - adminstrator can establish requirements that must be satisfied in order
      for a job to be queued
    - new default shared port (if used) is 9618, instead of the previous
      random default
    - automatic tuning of certain kernel parameters for improved scalability
      enabled by default (see LINUX_KERNEL_TUNING_SCRIPT).
  * Install systemd service file.
  * Install default submit configuration for interactive jobs in
    /etc/condor/interactive.sub and set default configuration for
    INTERACTIVE_SUBMIT_FILE accordingly.
  * Tighten versioned dependency on libclassad package -- observed missing
    symbols, despite unchanged SO version.
  * Install documentation under /usr/share/doc/htcondor (no longer just
    'condor').
  * Add docker as suggested package, due to the addition of the
    DockerUniverse.
  * Recommend package 'ecryptfs-utils': when installed HTCondor can be
    instructed to encrypt job EXECUTE directories on a system-wide, or
    per-job basis.
  * Install linux-kernel-tuning script as a config file into /etc/condor.
  * Update patch to avoid non-literal string processing without format
    strings [-Werror=format-security].
  * Build with Virtual Organization Membership Service support. Added
    voms-dev as a build-dependency.
  * Add a watch file.

 -- Michael Hanke <mih@debian.org>  Tue, 15 Sep 2015 07:32:31 +0200

condor (8.2.9~dfsg.1-1) unstable; urgency=medium

  * New upstream bugfix release closing >25 tickets.
    - "Smaller" partitionable slots are now merged to allow for a "bigger"
      job to match (needs ALLOW_PSLOT_PREEMPTION=True; default behavior
      unchanged).
    - Fix LaTeX documentation sources to work with the most recent TeTeX
      (Closes: #790865). Thanks to Martin Michlmayr for the report and a
      patch.
  * Remove package section disparity (devel -> libdevel).

 -- Michael Hanke <mih@debian.org>  Mon, 17 Aug 2015 08:35:31 +0200

condor (8.2.8~dfsg.1-1) unstable; urgency=medium

  * New upstream bugfix release.
    - Updated for latest gsoap release (Closes: #784778)
    - Numerous additional bug fixes.
  * Minimize patch for default configuration to match upstream
    adjustments.
  * Add patch to fix a few bashisms (Closes: #772232). Thanks to
    Raphael Geissert for the report.
  * Add a patch adding raspbian to OS detection code (Closes: #780517).
    Thanks to Peter Michael Green for the patch.
  * Bumped Standards-version to 3.9.6; no changes necessary.

 -- Michael Hanke <mih@debian.org>  Sat, 16 May 2015 10:32:41 +0200

condor (8.2.3~dfsg.1-6) unstable; urgency=medium

  [Alex Waite]
  * Upstream security fix: Authenticated users could execute arbitrary code as
    the condor user due to a bug in the way the condor daemon sent email
    notifications (CVE-2014-8126). (Closes: #775276)

 -- Michael Hanke <mih@debian.org>  Fri, 16 Jan 2015 18:59:12 +0100

condor (8.2.3~dfsg.1-5) unstable; urgency=medium

  * Fix wrong default SPOOL location introduced with 8.2.3~dfsg.1-4. Whenever
    not overwritten by an explicit SPOOL setting, this version relocated
    SPOOL to /var/lib/condor/lib. Consequently, existing job and usage logs
    where inaccessible by HTcondor. This update reverts this unintentional
    change and sets SPOOL explicitly to /var/spool/condor again.
    (Closes: #772170)

 -- Michael Hanke <mih@debian.org>  Fri, 05 Dec 2014 20:32:17 +0100

condor (8.2.3~dfsg.1-4) unstable; urgency=medium

  * Adjust mechanism to apply the default Debian configuration to cope with
    the removal of the monolithic configuration file in the 8.2.x series.
    The default configuration is now applied as a patch to the table of
    parameters in the HTCondor sources (Closes: #769100).
    The report of leaving behind an unowned directory is merely a symptom of
    this bug.
  * Adjust default configuration to make HTCondor work with Debian's
    ganglia (also see Ticket #4709). Thanks to Alex Waite for the fix.
  * Add Debconf template translation:
    - Dutch -- courtesy of Frans Spiesschaert <Frans.Spiesschaert@yucom.be>.
      (Closes: #766067)

 -- Michael Hanke <mih@debian.org>  Sat, 29 Nov 2014 09:57:27 +0100

condor (8.2.3~dfsg.1-3) unstable; urgency=medium

  * Modify the DMTCP shim script to work with the 2.x series of DMTCP.

 -- Michael Hanke <mih@debian.org>  Fri, 17 Oct 2014 20:43:10 +0200

condor (8.2.3~dfsg.1-2) unstable; urgency=medium

  * Add transitional dummy packages to enable seamless upgrades from the
    "condor*" packages in wheezy. Apparently, the provides/replaces/conflicts
    triplet doesn't work with apt or aptitude in jessie.

 -- Michael Hanke <mih@debian.org>  Tue, 07 Oct 2014 13:33:55 +0200

condor (8.2.3~dfsg.1-1) unstable; urgency=medium

  * Add patch to prevent FTBFS when built with --as-needed (Closes: #758923).
    Thanks to Artur Rona.
  * Add 'provides: condor*' statements to debian/control to ensure a smooth
    upgrade path.
  * Move upstream meta data: debian/upstream -> debian/upstream/metadata
  * Added patch to increase the robustness of the sentinel job submitted by
    condor_qsub (Closes: #692388). Thanks to Philip Chase for the patch.

 -- Michael Hanke <mih@debian.org>  Sat, 04 Oct 2014 14:59:29 +0200

condor (8.2.1~dfsg.1-1) unstable; urgency=medium

  * New upstream release in the 8.2 stable series.
    - Skipped 8.2.0 due to a security issue.
    - Includes various new features from the former 8.1 development series,
      such as improved support for partitionable slots, and interactive
      sessions.
  * Enabled CGROUPS support (new build-dependency libcgroups-dev).
  * Enabled condor_kbdd for machines where Condor harvests idle time
    (new build-dependency libx11-dev).
  * Bump SO version of libclassad from 5 to 7.
  * Bumped Standards-version to 3.9.5; no changes necessary.
  * Drop build-dependency on obsolete python-support.
  * Drop alternative build-dependency on obselete java-compiler.
  * Symlink condor_ssh_to_job_sshd_config_template to /usr/lib/condor
    where Condor expects it to make interactive sessions work out of the box.

 -- Michael Hanke <mih@debian.org>  Sun, 13 Jul 2014 12:03:32 +0200

condor (8.0.6~dfsg.1-1) unstable; urgency=medium

  * New upstream maintenance release for the 8.0 series. Changelog excerpt:
    - HTCondor now forces proxies that it delegates to be a minimum of
      1024 bits. (Ticket #4168).
    - Fixed a bug in the condor_schedd which would cause it to crash when
      running remotely submitted parallel universe jobs. (Ticket #4163).
    - Fixed a crash of the condor_shadow, triggered when a disconnect from
      the condor_starter occurs just as the job terminates. (Ticket #4127).
    - Fixed a bug that caused condor_submit_dag to crash on very large DAG
      input files, such as those larger than 2 Gbytes (Ticket #4171).
  * Drop patch for schedd crash-prevention (Ticket #38936) -- contained in new
    release.
  * Add missing libkrb5-dev packages to the build-depends. Thanks to Hideki
    Yamane for the fix (Closes: #747794).
  * Update patch for missing getpid and getppid syscalls on alpha. Thanks to
    Michael Cree (Closes: #736689).
  * Disable Python bindings again -- they do not build nicely for all
    supported Python versions right now.
  * Update java build-dependencies to use default-jdk as first option. Thanks
    lintian.

 -- Michael Hanke <mih@debian.org>  Sun, 25 May 2014 16:15:55 +0200

condor (8.0.5~dfsg.1-1) unstable; urgency=low

  [ Michael Hanke ]
  * Acknowledge NMU, thanks Mattias Ellert.
  * New upstream version (Closes: #714364). This is the first packaged
    version of an 8.x release with many improvements and fixes.
  * Rename all relevant binary packages to reflect the new upstream name
    HTCondor. The source package name is kept as 'condor'.
  * Bump debhelper compat level to 9 to enabled hardening and python helper
    support.
  * Enable Python bindings (only for the default Python version for now).
    New build-dependencies libboost-python-dev, python-support and python-dev
    added.
  * Enable automatic updating of autotools infrastructure via dh_autoreconf.
    New build-dependencies dh-autoreconf and autotools-dev added.
  * Fix for CVE-2013-4255 is contained since 8.0.3 (Closes: #721693).
  * Remove Debian-specific condor_qsub script which has been integrated
    upstream and is now shipped in an improved form.
  * Add patch to source LSB init function in Condor's init script.
  * Add patch to replace sprintf wrapper call without a format string argument
    with the corresponding non-formating function call.
  * Add upstream patch to prevent schedd crash (Ticket #38936).

  [ Brian Lin ]
  * Add Debconf template translations:
    - Japanese -- courtesy of victory <victory.deb@gmail.com>.
      (Closes: #718923)
  * Add patch campus_factory_syntax to fix a syntax error the campus_factory
    script.
  * Bumped Standards-version to 3.9.4; no changes necessary.
  * Add new dependency on libboost-test-dev.
  * Disable installation of obsolete Perl modules.
  * Fix DEP5 syntax error in debian/copyright.

 -- Michael Hanke <mih@debian.org>  Tue, 31 Dec 2013 10:22:08 +0100

condor (7.8.8~dfsg.1-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Adapt to multiarch globus installation (Closes: #731246).

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Mon, 16 Dec 2013 16:40:36 +0100

condor (7.8.8~dfsg.1-2) unstable; urgency=low

  * Fix corrupted Russian and French debconf template translations.
    Thanks to David Prévot for the fixes (Closes: #671510, #673138).

 -- Michael Hanke <mih@debian.org>  Sun, 21 Jul 2013 09:23:43 +0200

condor (7.8.8~dfsg.1-1) unstable; urgency=low

  [ Brian Lin ]
  * New upstream bug fix release.
    - Fixed a bug in condor_advertise that could cause failure to publish
    ClassAds to condor_collector daemons other than the first one in the list of
    condor_collector daemons (Ticket #3404).
    - Fixed a bug that could cause HTCondor daemons to abort on condor_reconfig
    when the value of configuration variable STATISTICS_WINDOW_SECONDS was
    reduced. (Ticket #3443).
    - If condor_shared_port was using a dynamic port and the condor_master was
    using the shared port, then if condor_shared_port died, all subsequent
    attempts to restart it on a different port failed. (Ticket #3478).
    - Reduced the likelihood of a problem that caused the condor_master to
    restart some of its children after a recent reconfiguration, because the
    condor_master incorrectly concluded that the children were hung. (Ticket
    #3510)
    - Now installs the condor_kbdd daemon.
    - Does no longer provide condor_glidein
    - Fix a number of bashisms (Closes: #690640)
  * Added patch to automatically retry glexec operations if they exit with an
    error code likely caused by a transient error (Ticket 2415).

  [ Michael Hanke ]
  * Add Brian Lin as a maintainer.
  * Adjust code to determine Condor's upstream version in debian/rules'
    get-orig-source target.
  * Add citation information in debian/upstream. Thanks to Andreas Tille.
  * Add explicit note to README.Debian that the standard universe is not
    supported at this point (Closes: #717357).

 -- Michael Hanke <mih@debian.org>  Sat, 20 Jul 2013 12:51:53 +0200

condor (7.8.7~dfsg.1-1) experimental; urgency=low

  * New upstream bug fix release.
    - Fixed a bug wherein running the condor_suspend command on a scheduler
      universe job would cause the schedd to crash (Ticket 3259).
    - Jobs that were submitted with condor_submit -spool and failed during
      submission were left indefinitely in the queue in the Hold state
      (Ticket 3200).
    - When using privilege separation, jobs would be put on hold after
      they finished running if the working directory contained links to
      files that were not globally readable (Ticket 2904).
    - condor_master would sometimes crash on reconfiguration when the
      High Availability configuration had changed (Ticket 3292).
  * Condor is now officially called HTCondor. The Debian package will keep the
    name 'condor' for now and change when switching to the 7.9 or 8.0 series.

 -- Michael Hanke <mih@debian.org>  Thu, 10 Jan 2013 16:47:47 +0100

condor (7.8.6~dfsg.1-1) experimental; urgency=low

  * New upstream bug fix release (skipped 7.8.5).
    - Avoid rare crashes of condor_schedd in association with jobs that have
      'noop_job = true' (Ticket 3156).
    - Fix condor_startd crash when failing to match a partitionable slot after
      the application of configuration variables of the MODIFY_REQUEST_EXPR_
      category (Ticket 3260).
    - Prevent removal of scheduler universe jobs from the job queue when they
      should have been requeued, according to policy. This caused condor_dagman
      jobs to fail to restart. This bug exists in all Condor versions 7.8.0
      through 7.8.4. Upon upgrading from these Condor versions, users will need
      to intervene in order to restart their dagman jobs (Ticket 3207).

 -- Michael Hanke <mih@debian.org>  Tue, 06 Nov 2012 08:22:29 +0100

condor (7.8.4~dfsg.1-1) experimental; urgency=low

  * New upstream bug fix release (missed 7.8.3). This release addresses four
    security-related issues, as well as numerous other bug fixes
    (Closes: #688210):
    - Security Item: Some code that was no longer used was removed. The presence
      of this code could expose information which would allow an attacker to
      control another user's job. (CVE-2012-3493)
    - Security Item: Some code that was no longer used was removed. The presence
      of this code could have lead to a Denial-of-Service attack which would
      allow an attacker to remove another user's idle job. (CVE-2012-3491)
    - Security Item: Filesystem (FS) authentication was improved to check the
      UNIX permissions of the directory used for authentication. Without this,
      an attacker may have been able to impersonate another submitter on the
      same submit machine. (CVE-2012-3492)
    - Security Item: Although not user-visible, there were multiple updates to
      remove places in the code where potential buffer overruns could occur,
      thus removing potential attacks. None were known to be exploitable.
    - Security Item: Although not user-visible, there were updates to the code
      to improve error checking of system calls, removing some potential
      security threats. None were known to be exploitable.
    - The full changelog listing numerous additional bugs is available at
      http://research.cs.wisc.edu/condor/manual/v7.8/9_3Stable_Release.html
  * Added patch to fix a FTBFS on alpha, due to missing getpid syscall.
    Courtesy of Michael Cree <mcree@orcon.net.nz> (Closes: #685892).

 -- Michael Hanke <mih@debian.org>  Fri, 21 Sep 2012 20:56:32 +0200

condor (7.8.2~dfsg.1-2) experimental; urgency=low

  * Make postinst script more robust against missing config variables (Closes:
    #684667). Patch is courtesy of Tim Cartwright.
  * Disable Condor's file transfer mechanism for jobs submitted via
    condor_qsub, because a shared filesystem is assumed for these jobs
    (Closes: #684879).
  * This time really remove dangling symlink /usr/sbin/condor -> ../bin/condor.
    This file no longer exists (Closes: #678425).
  * Support deployment scenario where the administrative 'condor' user is not
    a local system user, but is shared (e.g. through LDAP) by all machines in a
    Condor pool (see installation manual section 3.2). The condor package will
    accept to run under an existing non-system user account named 'condor',
    but only when that account is locked, i.e. not login is possible
    (Closes: #684463).

 -- Michael Hanke <mih@debian.org>  Sun, 12 Aug 2012 19:20:35 +0200

condor (7.8.2~dfsg.1-1) unstable; urgency=high

  * Upstream security release. Prevent an attacker who is manipulating
    reverse-DNS entries and is able to connect to a Condor daemon to gain
    access to a Condor pool that is using DNS/hostname host-based authentication
    (only). CVE-2012-3416

 -- Michael Hanke <mih@debian.org>  Thu, 16 Aug 2012 08:32:49 +0200

condor (7.8.1~dfsg.1-2) unstable; urgency=low

  * Remove dangling symlink /usr/sbin/condor -> ../bin/condor. This file no
    longer exists (Closes: #678425).
  * Add Debconf template translations:
    - Czech -- courtesy of Martin Å Ãn <martin.sin@zshk.cz>
      (Closes: #678952)
    - Spanish -- courtesy of Fernando C. Estrada <fcestrada@fcestrada.com>
      (Closes: #680201)
  * Only issue 'condor_restart' command in postinst, when condor_master is
    actually running. If that is not the case, for example when daemon
    startup is prevented by system policy, package installation would fail
    otherwise. Thanks to Andreas Beckmann for the report. (Closes: #681144)

 -- Michael Hanke <mih@debian.org>  Thu, 21 Jun 2012 18:40:11 +0200

condor (7.8.1~dfsg.1-1) unstable; urgency=low

  * New upstream bugfix release:
    - Fixed a bug in the condor init script that would cause
      the init script to hang if condor wasn't running (Ticket 2872)
    - Fixed a bug that caused Parallel Universe jobs using Parallel
      Scheduling Groups to occasionally stay idle even when there were
      available machines to run them (Ticket 3017)
    - Fixed a bug that caused the Condor GridManager to crash when
      attempting to submit jobs to a local PBS/LSF/SGI cluster
      (Ticket 3014)
    - Fixed a bug in the handling of local universe jobs which caused
      the Condor SCHEDD to log a spurious ERROR message every time a local
      universe job exited, and then further caused the statistics for local
      universe jobs to be incorrectly computed (Ticket 3008)
    - Fixed a bug when Condor runs under the PrivSep model, in which if a job
      created a hard link from one file to another, Condor was unable to
      transfer the files back to the submit side, and the job was put on hold.
      (Ticket 2987)
    - When configuration variables MaxJobRetirementTime or MachineMaxVacateTime
      were very large, estimates of machine draining badput and completion time
      were sometimes nonsensical because of integer overflow (Ticket 3001)
    - Fixed a bug where per-job sub-directories and their contents in the
      SPOOL directory would not be removed when the associated job left the
      queue (Ticket 2942). Closes: #663031
  * Updated Swedish Debconf translation (Closes: #676943).

 -- Michael Hanke <mih@debian.org>  Wed, 06 Jun 2012 10:39:35 +0200

condor (7.8.0~dfsg.1-2) unstable; urgency=low

  * Actually include the Russian, Italian, and Polish translations.
  * Add Debconf template translations:
    - Swedish -- courtesy of Martin Bagge <brother@bsnet.se>
      (Closes: #673877)
    - French -- courtesy of Steve Petruzzello <dlist@bluewin.ch>
      (Closes: #673138)
    - Portuguese -- courtesy of Pedro Ribeiro <p.m42.ribeiro@gmail.com>
      (Closes: #674943)
  * Add explicit dependency on Python (for condor_router_history).
  * Remove word duplication from package description.
  * Fix typos in debian/copyright.

 -- Michael Hanke <mih@debian.org>  Mon, 04 Jun 2012 08:49:07 +0200

condor (7.8.0~dfsg.1-1) unstable; urgency=low

  * New upstream release (Closes: #670304). This is the first release of the
    new 7.8 stable series. Patches introduced to prevent FTBFS on mips, ia64
    and s390x are merged/obsolete.
  * Add Debconf template translations (Closes: #670487):
    - German -- courtesy of Erik Pfannenstein <epfannenstein@gmx.de>
      (Closes: #671394)
    - Russian -- courtesy of Yuri Kozlov <yuray@komyakino.ru>
      (Closes: #671510)
    - Italian -- courtesy of Beatrice Torracca <beatricet@libero.it>
      (Closes: #671641)
    - Polish -- courtesy of Michał Kułach <michalkulach@gmail.com>
      (Closes: #671547)

 -- Michael Hanke <mih@debian.org>  Wed, 09 May 2012 11:35:19 +0200

condor (7.7.6~dfsg.1-3) experimental; urgency=low

  * Temporarily drop cgroups dependency and, consequently, support for cgroups
    in Condor. The cgroups package is not in the condition to migrate into
    wheezy, hence blocking Condor's migration as well. cgroups maintainer
    suggests to drop this dependency for now.
    http://lists.debian.org/debian-devel/2012/04/msg00617.html
  * Improved Debconf templates after review by debian-l10n-english. Thanks
    to Justin B. Rye and Christian Perrier.
  * Add Debconf template translations:
    - Danish -- courtesy of Joe Dalton (Closes: #671090).

 -- Michael Hanke <mih@debian.org>  Wed, 02 May 2012 08:13:55 +0200

condor (7.7.6~dfsg.1-2) unstable; urgency=low

  * Add upstream patch to address FTBFS on ia64 and s390x (Closes: #670393).

 -- Michael Hanke <mih@debian.org>  Wed, 25 Apr 2012 18:18:08 +0200

condor (7.7.6~dfsg.1-1) unstable; urgency=low

  * New upstream development release. Last one before the 7.8 stable series.
  * Majority of patches has been merged upstream or have been made obsolete.
  * Stop supporting alternative LOCAL_DIR settings via Debconf. In addition
    the pre/postrm scripts no longer support non-standard (aka /var) LOCAL_DIR
    settings. This was done to be able to keep runtime data (logs, etc.) when
    the package gets removed, but not purged (Closes: #668088). Previously the
    package relied on Condor's own configuration facilities to deduce LOCAL_DIR,
    which is impossible to perform in 'postrm'.
  * Do not remove the condor user during package purge (Closes: #667533).
    Along the lines of the discussion in #621833 the user is kept in a locked
    state (condor user has login disabled by default).
  * Simplify logic of adding the condor system user in maintainer scripts.
  * Change daemon restart behavior on package upgrade -- confirmed with
    upstream. Condor is now kept running during package upgrade (was
    unconditionally stopped in prerm before). Upon finishing installtion of
    the new version, Condor is just started (if not already running) and a
    'condor_restart' command is issued. Before a complete stop-start cycle was
    performed. The new behavior should allow for a more graceful upgrade of
    Condor pools, by safely shutting down all running jobs and jobs submitted
    from the localhost.
  * Add patch to allow building on MIPS. Rename variable name 'mips' to
    'mips_' to avoid name clash (Closes: #669689).
  * Fix a bug in the debconf script that caused the default start policy
    setting for a personal Condor installation to have no effect, i.e. it
    would not run jobs regardless of machine activity by default.

 -- Michael Hanke <mih@debian.org>  Tue, 24 Apr 2012 20:15:31 +0200

condor (7.7.5~dfsg.1-2) experimental; urgency=low

  * New primary Debian maintainer contact is Condor upstream. Previous
    maintainer remains uploader.
  * Guard against failure due to missing directories in pre-removal script
    (Closes: #662739). Thanks to Andreas Beckmann for detecting the bug.
  * Fix DMTCP integration for version 1.2.4 and later -- file location tests
    became invalid.
  * Set default DMTCP snapshotting interval to zero -- no regular snapshotting,
    but on-demand snapshots on vacate command. In addition the shim script now
    honors DMTCP_CHECKPOINT_INTERVAL.
  * Call dmtcp_command with option --quiet in shim_dmtcp to achieve more
    readable logs, by suppressing DMTCP's license and author boilerplate
    output.
  * Added patch to ignore PIDs from a stale PID file when trying to stop
    condor. This could otherwise prevent package removal/upgrade
    (Closes: #663033). The patch has been forwarded upstream.
  * Cherry-pick upstream patch that let's Condor build on all Debian-derived
    distributions identically. This patch allows the unmodified Debian package
    to build on Ubuntu.
  * Cherry-pick upstream patch to bump the libclassad SO version from 2 to 3
    -- fixed an overlooked and somewhat hidden change of API. Should now be
    stable for the 7.8 series. Also changed associated package name and
    dependencies accordingly.
  * Let DMTCP perform a blocking checkpointing operation, to avoid Condor
    killing DMTCP before a checkpoint file is written completely
    (Closes: #663078).
  * Make an attempt to let shim_dmtcp remove DMTCP checkpoint output files
    from a job's EXEC_DIR upon job termination. This is experimental.
  * Improve README.Debian regarding DMTCP checkpointing setup.
  * Bumped Standards-version to 3.9.3; no changes necessary.
  * Added homepage and VCS information to control file.

 -- Michael Hanke <mih@debian.org>  Fri, 09 Mar 2012 13:20:25 +0100

condor (7.7.5~dfsg.1-1) UNRELEASED; urgency=low

  * New upstream release. Feature freeze for upcoming 7.8 stable series.
    - better statistics for monitoring a Condor pool,
    - better support for absent ads in the collector
    - fast claiming of partitionable slots
    - support for some newer Linux kernel features to better support process
      isolation.
  * Remove 'disable_java_gt4X' patch -- corresponding upstream code has been
    removed.
  * Remove 'debian_dynamic_run' patch -- merged upstream.

 -- Michael Hanke <mih@debian.org>  Thu, 01 Mar 2012 08:47:40 +0100

condor (7.7.4+git3-gd7ce75b~dfsg.1-1) experimental; urgency=low

  * Initial upload to Debian experimental (Closes: #233482).
    After acceptance into Debian an upload to unstable is expected to happen
    once a build-time test suite is operational.
  * Drop NeuroDebian team as maintainer, upstream will eventually become the
    primary maintainer, with Michael Hanke being the uploader for the time
    being.
  * Merge commits from 7.7.4 maintenance branch.
  * Enable GSOAP support.

 -- Michael Hanke <mih@debian.org>  Fri, 24 Feb 2012 08:37:32 +0100

condor (7.7.4-2) UNRELEASED; urgency=low

  * Forcing runtime dependency on libcgroup1 (>= 0.37~), as otherwise Condor's
    procd refuses to start.
  * Fix problem in the Debconf setup that caused the initially provided
    settings to be overwritten during installation on a clean system (without
    and existing Condor installation).
  * Modify condor_qsub to always execute submitted scripts via the configured
    shell and not directly (expecting them to be executable). The seems to be
    the behavior of SGE's qsub.

 -- Michael Hanke <mih@debian.org>  Tue, 17 Jan 2012 14:01:27 +0100

condor (7.7.4-1) UNRELEASED; urgency=low

  * New upstream release. RPATH setup now officially supported.
  * Added emulator for SGE-style qsub calls (condor_qsub; incl. manpage).
  * Update DMCTP shim script to version 0.4.
  * Added dependency to libdate-manip-perl for condor_gather_info.
  * Remove patch to disable scimark in favor of proper configuration default.


 -- Michael Hanke <mih@debian.org>  Thu, 22 Dec 2011 16:19:00 +0100

condor (7.7.1+git837-g37b7fa3-1) UNRELEASED; urgency=low

  * New upstream code. Support for dynamic linking against system
    libraries. Condor's internal libs have been merged into a single
    library.
  * Fix build-deps on BOOST.
  * Bumped Standards-version to 3.9.2; no changes necessary.
  * Build using embedded classad library -- upstream will (or did) stop
    releasing it separately. libclassad binary packages are now built from
    the Condor source package.
  * Drop shared library, sysapi and postgres patches -- merged or obsolete.
  * Adjust rules for now included doc source code.
  * Add sanity checks into maintainer script to avoid creating bogus
    directories and installation errors. Thanks to Mats Rynge for reporting.
  * Add Python as runtime dependency.
  * Add patch to make condor_run work with Condor's new file transfer
    behavior. Courtesy of Jaime Frey.
  * Stop building a PDF version of the manual (takes long, and segfaults
    ghostscript at the moment). Keep HTML version.
  * Add patch to provide a sane default configuration for ssh_to_job and
    install condor_ssh_to_job_sshd_config_template as a conffile in
    /etc/condor/.
  * Added condor-dev package, containing headers files and static versions of
    Condor libraries.
  * Add build-dep on libldap-dev to ensure nordugrid_gahp being built.
  * Added DMTCP integration for snapshotting of vanilla universe jobs.

 -- Michael Hanke <mih@debian.org>  Tue, 11 Oct 2011 08:42:35 +0200

condor (7.6.1-1) UNRELEASED; urgency=low

  * New upstream release.
  * Adjust shared library patch.

 -- Michael Hanke <mih@debian.org>  Sat, 04 Jun 2011 20:36:29 -0400

condor (7.6.0-1) UNRELEASED; urgency=low

  * New upstream stable release.
  * Adjusted patches.
  * Added missing debhelper dependencies.
  * Added missing sysv-style init script symlinks.
  * Fixed various typos.
  * Prevent local classad header files from being used, in favor of
    system-wide libclassad installations.

 -- Michael Hanke <mih@debian.org>  Mon, 18 Apr 2011 22:07:08 -0400

condor (7.5.5+git995-ga9a0d2a-1) UNRELEASED; urgency=low

  * New upstream code from V7.6 branch. Updated various patches, removed some
    merged ones.
  * No longer compile the 'contrib' parts -- upstream recommended it due to
    lack of stability.
  * Added patch to create /var/run/condor upon daemon startup with proper
    permissions. That helps to conform to the FHS that declares /var/run as
    volatile and to be cleaned upon boot. Moreover, some systems have /var/run
    mounted as tmpfs.

 -- Michael Hanke <mih@debian.org>  Tue, 15 Mar 2011 16:37:56 -0400

condor (7.5.4+git567-gb10f6b4-2) UNRELEASED; urgency=low

  * Applied patch to allow adding submit specs in condor_run calls. Thanks to
    Matthew Farrellee <matt@redhat.com>.
  * Improved configuration for a "Personal Condor". Bind network traffic to
    the loopback interface. Better documentation in the generated
    configuration file.

 -- Michael Hanke <mih@debian.org>  Thu, 06 Jan 2011 17:28:59 -0500

condor (7.5.4+git567-gb10f6b4-1) UNRELEASED; urgency=low

  * Initial packaging.

 -- Michael Hanke <mih@debian.org>  Sun, 26 Dec 2010 10:10:19 -0500
